2019-02-02 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>
	
	- Release 3.1.1!

2019-02-01 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>
	
	- fixed bug #503: regression prevented the use of dvips. This reverts the
	bugfix for bug 362

2019-01-05 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>
	
	- Release 3.1!

2018-12-28 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- \pgfmathprintnumber: implemented 'retain unit mantissa=true|false' (feature #92)

2018-12-30 Henri Menke

	- fixed wrong projection of `canvas is xy plane at z` in `3d` library (bug #410)
	- added documentation of `3d` library to the manual (support request #11)
	- defined CMYK colors for ConTeXt (feature request #33)
	- `text along path` decoration repeated last char multiple times when 
	  this was in math mode (bug #479)

2018-12-29 Henri Menke

	- fixed accidental usage of `\rm` (bug #476)

2018-12-28 Henri Menke

	- fixed newlines for tex4ht (bug #327)
	- fixed bug that `fit` didn't work with `transform shape` (bug #330)
	- fill color in nodes now respects colormodel (bug #349)
	- fixed broken VTeX support (bug #350)
	- `text=<color>` now works fine when in the nodes' text `\textcolor` is used (bug #362)

2018-12-26 Henri Menke

	- allowed whitespace between layers in `\pgfsetlayers` (bug #376)

2018-12-25 Henri Menke

	- fixed `\method` which can now contain empty lines (bug #448)
	- manual improvement regarding `pgfoothis` (bug #452)
	- documented commands `\pgfooeset`, `\pgfooappend`, `\pgfooprefix` (bug #452)

2018-12-24 Henri Menke

	- fixed bug in \pgfkeysedef (bug #306)
	- `miter limit` now raises an error when a value < 1 is given (bug #347)
	- fixed bug that `\pgfmathmax` and `pgfmathmin` were broken when
	  `fixedpointarithmetic` library was loaded (bug #360)
	- added missing function `\pgfmathpneg` in `fixedpointarithmetic` library (bug #361)
	- fixed bug that brace decorations were malformed for large amplitudes (bug #351)
	- made node parser aware of prefix and suffix (bug #397)

2018-12-23 Henri Menke

	- (almost) fixed guillemets for LuaTeX (bug #473)

2018-12-21 Henri Menke

	- fixed incorrect spelling in pgflibrarydecorations.text (bug #479)
	  (but this doesn't solve the bug 100%)
	- fixed 'bend left' bug if used with a formula (bug #423)
	- use \typeout stream instead of \write16 (bug #488)
	- fixed some bugs regarding graphdrawing electrical "springs" (bugs #380 and #381)

	2018-12-20 Henri Menke

	- fixed pgf_lookup_and_require for new luaotfload (bug #493)
	- fixed graphdrawing for ConTeXt (bug #477)

2018-04-30 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- added utility \pgfmathifexpression (and special treatment in luamath
	library and	fpu library)

2017-11-14 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- intersections lib: improved accuracy of intersections for linear paths

2017-02-08 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fixed incompatibility issue of tikzmath and fpu reported in 
		http://tex.stackexchange.com/questions/349766/pgfplots-on-tikzmath-function-with-conditionals-returns-an-error

2016-12-31 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- Improved driver detection (bug #395 TikZ does not create output with LuaTeX 0.95.0)
	- New luatex driver now supports fallback to pdftex driver if
	luatexversion is older than 95 (let's hope this works reliably - luatex
	used to have version 240 some time ago!)

2016-08-10 Till Tantau <tantau@users.sourceforge.net>

	- Fixed bugs that caused pgfsys-dvips.def to generate corrupt
	PostScript for all nodes.

2016-07-16 Till Tantau <tantau@users.sourceforge.net>

	- Bounding box computations for animations implemented.
	- Animated arrow tips are now possible.

2016-07-13 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fixed incompatibility between textpos (absolute mode) and external

2016-06-17 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fixed \write18 issues in luatex 0.87 and later (by using os.execute())
	  affects external lib and plot function.

2016-03-31 Till Tantau <tantau@users.sourceforge.net>

	- Lots of bugfixes in animation and svg code.
	- Added optimizations to reduce file size for svg code
	  (better support by dvisvgm will be needed however for more
	  compact text!).

2016-03-18 Till Tantau <tantau@users.sourceforge.net>

	- First working, fully documented version of TikZ animations!

2016-02-24 Till Tantau <tantau@users.sourceforge.net>

	- Fixed manual stuff to compile it with dvisvgm.

2016-02-02 Till Tantau <tantau@users.sourceforge.net>

	- Rewrote tikz animation lib.

2016-01-06 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- added context-related aux file fix of Hans Hagen

2016-01-02 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fixed save stack issues (eliminated 'retaining' issues) about pgf@x and pgf@y

2015-12-29 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- external lib: 'force remake' now also updates .md5 files

2015-11-28 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fpu: fixed floor and ceil
	- fixed basic layer floor function
	- lua library: improved interoperability of luamath and fpu
	- unit test now compares luamath, fpu, and pgfbasic math

2015-11-15 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- activated math parser in foreach's end notation to allow \foreach \i in {0,...,10-9}

2015-09-09 Till Tantau <tantau@users.sourceforge.net>

	- Worked on pgfsys-dvisvgm.def a lot. Now requires
	dvisvgm-1.5.3 because of switch from pt to bp there. Does
	correct bounding box computations.

2015-09-06 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fixed bug in luamath library

2015-08-29 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- external lib: added support to automatically externalize references and
	labels with 'mode=convert with system call'

2015-08-24 Till Tantau <tantau@users.sourceforge.net>

	- Reworked implementation of animations for tikz and started
	on documentation of the backend.

2015-08-20 Till Tantau <tantau@users.sourceforge.net>

	- First complete implementation of animations for tikz! (for
	svg backend). Documentation still missing, but works nicely.

2015-08-13 Till Tantau <tantau@users.sourceforge.net>

	- First work on animations for svg. Added commands in pgfsys
	and added module pgfmoduleanimations. No documnetation yet.

2015-08-07 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- Release 3.0.1!

2015-08-03 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fixed regression introduced for pgf 3.0.0 (bug #149): leading empty
	lines at the beginning of plot files disabled '-- plot'
	- fixed bug #291 (missing white space trimming in node labels)
	- fixed bug #313 (alias option did not respect name prefix/suffix)
	- fixed bug #341 ("is in pic" was not reset)
	- fixed bug #365 (caused by missing adoption after copy-paste in tikzlibraryfolding)
	- fixed bug #315/316 by applying the suggested patch and verifying it

2015-06-12 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fixed fpu math functions for int, ceil, and floor
	- added \pgfmathlogtwo and \pgfmathlogten as requested in bug #359


2015-06-06 Till Tantau <tantau@users.sourceforge.net>

	- Fixed problem in gd: Creating more than about 15 vertices
	inside a graph drawing algorithm was impossible since this
	created too many text input levels. Reorganized the interplay
	between tex and lua for the coroutine so that no input levels
	are created.

2015-06-05 Till Tantau <tantau@users.sourceforge.net>

	- Added number nodes option to graph lib.

2015-05-18 Till Tantau <tantau@users.sourceforge.net>

	- Fixed nullfont warnings in axes in datavisualization.
	- Fixed wrong axes for school book plots.

2015-05-15 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fixed nullfont warnings when parsing logic gate inputs.

2015-05-08 Till Tantau <tantau@users.sourceforge.net>

	- Fixed bug in tikz.code.tex concerning colors for arrow tips:
	Setting and restoring the global color "trackers"
	pgf@fillcolor@global over groups was done only in \pgfscope,
	but not in the scopes opened and closed by tikz when drawing a
	path (\pgfsys@beginscope is used there). This caused wrong
	colors to be used.

2015-05-08 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Updated patterns.meta library.

2015-05-02 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- context: committed patch to adopt pgfutil-context for new (incompatible)
	context handling of colors -- contains some cleanup by Hans Hagen.

2015-03-28 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fixed bug in external lib: braces in external filenames confused the generator

2015-01-02 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fixed bug in fpu: equal(x, 0) failed for x<0

2014-12-30 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fixed bug in atan2 (returned wrong sign for atan2(4e-5,-5))
	- implemented atan2 in FPU

2014-11-02 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fixed save stack issue (TeX capacity exceeded, sorry [save size=250000])
	if the color changes a _huge_ number of times during a single path.

2014-10-11 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- worked on LUA math parser: ensured that a suitable first scope of
	functions works. I also added support for 'declare function'

2014-10-11 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added provisional code for patterns.meta library. Patterns
        can now be declared using TikZ code with additional support
        for tile transformations. Currently only PDF output supported
	at back-end (uses \pgfsys@declarepattern@meta in pgfsys-pdftex.def).

2014-08-04 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- finished first prototype of a LUA math parser. It is orders of magnitude
	faster than its TeX pendant, features a pure LUA mode and also offers a
	fallback to the TeX \pgfmathparse for unsupported operations/functions
	only defined in TeX.

2014-07-09 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fixed bug (regression of bug #229): external lib with dvips produced
	wrong bounding box (was broken entirely)

2014-07-08 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fixed regression in external lib: 'mode=graphics if exists' broke any
	undefined label warnigns
	- added automatic "fast lane" to math parser: if the input is a number
	without units, it will return that as-is. Reduces typesetting time down to
	66% for huge scatter plots and has just 1% overhead for math intensive
	figures.

2014-06-22 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- added switch 'trig format=deg|rad' which allows to switch sin,cos,tan,
	and their friends to radians. It works for all user input
	arguments - I hope without unanticipated side-effects (marked as
	experimental)

2014-05-17 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- external lib: defined suitable defaults for 'system call' depending on driver
	- external lib: solved incompatibility with biblatex's \cite[][]{name}
	command	(http://tex.stackexchange.com/questions/173465/tikz-error-for-externalized-graphics-but-output-is-correct}
	- number parser/printer: added switch 'read comma as period' to read
	localized input numbers. Off by default but added useful hint to parser
	message.

2014-05-06 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- Fixed bug #308 fixedpointarithmetic: unwanted spaces by line ends 

2014-03-30 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- Fixed feature #81: signum function (fpu + pgf basic layer)

2014-03-24 Till Tantau <tantau@users.sourceforge.net>

	- Fixed all \begin{scope} and \end{scope} in foldings lib,
	changed them to \scope and \endscope.

2014-03-21 Till Tantau <tantau@users.sourceforge.net>

	- Fixed #303 Type in pgfmanual (colormixin)
	- Fixed #302 pgf-3.0: Cannot plot a constant function. Will
	now center the constant line.
	- Addressed #299 Precision problem with explicitily anchored
	labels: While not a bug, I added a "centered" option for cases
	similar to this one (although, in this particular case, the
	new centered option is not what is needed)...
	- Fixed #298 \pgfarrowsdeclare is still mentioned in pgfmanual
	- Fixed #294 Nodes for arcs, which angles are calculated
	simultaneously.
	- Fixed #292 "node scale and outer sep" by introducing the new
	option "outer sep=auto", which takes care of both this problem
	(at least in all normal cases) and also of the draw versus
	fill problem with outer seps.

2014-03-20 Till Tantau <tantau@users.sourceforge.net>

	- Fixed #285 \tikz@intersect@namedpaths persists outside
	scopes as suggested.
	- Fixed #284 Additional rerun statement for overlays (for LyX)
	by adding the proposed solution (essentially).
	- Added post-fix for #288 by undoing all -- ligatures in
	verbatim code.

2014-03-19 Till Tantau <tantau@users.sourceforge.net>

	- Fxied #283 "Is there a smarter way to handle units in math
	engine?" by adding the "scalar" function.
	- Fixed #288 "All the '£' should be '$' in the examples of
	pgfmanual..." by switching to T1 enconding.
	- Fixed #282 "\pgfmathredeclarefunction does not work properly."

2014-02-24 Till Tantau <tantau@users.sourceforge.net>

	- Added first edge routing algorithm to gd.
	
2014-02-02 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>
	
	- intersections libs: improved robustness and accuracy for curveto paths
	by using the floating point library together with Mark Wibrow. 

2014-01-08 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fixed bug in latex/plain tex shipout routines for xdvipdfmx and xelatex:
	combination of shadings	and standalone package failed to work.

2013-12-31 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fix for 'rotate around x/y/z' keys which now evaluate
	  the argument provided.
	  
2013-12-25 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- intersections lib: detected duplicates in line-to intersections
	in endpoints and suppressed them.
	- intersections lib: stored time offset for each intersections as optional
	property (i.e. if it comes for free). This is required to compute fill
	paths

2013-12-20 Till Tantau <tantau@users.sourceforge.net>

	- Release 3.0.0!	

2013-12-20 Till Tantau <tantau@users.sourceforge.net>

	- In preparation for the release 3.0.0, I pimped the manual a
	  bit. It will now automatically detect whether graph drawing
	  C libs are available or not. Also, syntax hilighting is now
	  always switched on. I also some subtle optical hints to
	  crossreferenced words in the code examples; this is pretty
	  useful, I think. 
	- Did a lot of cleaning up for the release.
	
2013-12-18 Till Tantau <tantau@users.sourceforge.net>

	- Fixed a bug in Vertex.lua that returned wrong anchor
	  positions for non-centered vertices.
	
2013-12-13 Till Tantau <tantau@users.sourceforge.net>

	- Fixed bug #280 "Layered layout" produces unknown key with graphs library.
	- Fixed bug #279 "Some parts of arguments in foreach macro are lost".
	- Fixed bug #258 "Default arrow edge style puts circumflex in
	  drawn end node" by now allowing people to say tip=on proper draw.
	
2013-12-08 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- intersections lib: ensured that 'name path global' is reset between main paths.

2013-11-30 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- worked on intersections lib (internals only); added O(N) list
	append/prepend utilities

2013-11-18 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added keys 'rotate around x', 'rotate around y' and
	'rotate around z' to rotate the xyz coordinate system
	around the x, y, or z axis.
	
2013-11-17 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fixes for 'text effects along path' decoration and docs.

2013-11-16 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- external lib: added support for 'up to date check=md5' for lualatex.
	  Now, lualatex and pdftex both result in the same checksums (by means of
	  \usepackage{pdftexcmds})

2013-11-16 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Finalised 'text effects along path' decoration and docs.
	  
2013-11-11 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Changed keyval example (and references to define@key) 
	  in pgfcalendar documentation to pgfkeys stuff.

2013-11-08 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Minor fixes to decorations.text and math libraries documentation
	
2013-11-07 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added 'text effects along path' decoration. 

2013-11-01 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- Fixed regression/bug in 'name path global'.

2013-10-31 Till Tantau <tantau@users.sourceforge.net>
	
	- Applied path for bug #277 "\beforeforegroundpath not working".
	
2013-10-09 Till Tantau <tantau@users.sourceforge.net>

	- Prepared manual for new release (fixed overful boxes and
	  index problems).
	
2013-10-08 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Updated math library (minor fixes).

2013-10-07 Till Tantau <tantau@users.sourceforge.net>
	
	- Applied some fixes so that C code for graph drawing works
	  once more.
	- Arrow tips and their doc are now officially finished!
	- Added documentation of nonlinear transformations. 
	
2013-10-06 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- modified release script to allow uploads of unstable TDS
	  zips to http://pgf.sourceforge.net using
	  make -f pgf/scripts/pgf/Makefile.pgf_release upload USER=cfeuersaenger

2013-10-02 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fixed problem with math parser inserting extraneous
	  spaces when parsing \dimenexpr
	  
2013-09-30 Till Tantau <tantau@users.sourceforge.net>

	- Changed blend mode syntax to standard pgf syntax (since PDF
	  and SVG do not agree on names...).
	- Added scale and slant options for arrow tips.
	- Added more generic arrow tips.
	
2013-09-24 Till Tantau <tantau@users.sourceforge.net>
	
	- First version of comlete arrow documentation finished. Still
	  need to document the arrows.meta library, though.
	- Added "tips" option for drawing arrow tips without drawing
	  paths.
	
2013-09-23 Till Tantau <tantau@users.sourceforge.net>
	
	- Fixed bug #273 "Graph drawing sublayouts fails".
	- Incorporated first partial documentation of the arrow tips
	  into the main documentation.
	- Fixed bug bugs:#272 "SVG parser error after close path" as
	  suggested by Mark Wibrow.
	- Also changed the default syntax for svg path command so that
	  it uses braces instead of quotation marks. (Quotation marks
	  still work, of course.)

2013-09-22 Till Tantau <tantau@users.sourceforge.net>

	- Started working on arrow doc.
	
2013-09-20 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added macro to convert string of digits to comma separated list.
	
2013-09-18 Till Tantau <tantau@users.sourceforge.net>

	- First version of new arrow tip management done. Up and
	  running! Still needs documentation and the old arrow tip
	  codes should (but need not) be ported.
	- Did some porting of old code, added fixes. Doc still missing.
	
2013-09-17 Till Tantau <tantau@users.sourceforge.net>

	- Fixed bug #264: "\pgfkeys /errors/unknown key should (?) expand first argument"
	- Fixed bug #268: "`matrix of nodes' isn't working properly any more"
	
2013-09-11 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Corrected typos (bug #266 and bug #265)

2013-09-11 Mark Wibrow <vibrovski@users.sourceforge.net>

	- added magnetic tape shape.

2013-09-09 Till Tantau <tantau@users.sourceforge.net>

	- Fixed bug #262/267: "Line breaks are not working in labels anyy more."
	- Fixed bug #260: "TikZ node on background in pgfextra"
	- Started work on bending arrows.
	
2013-09-05 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- external lib: fixed bug: file dependency handling was incorrect and
	suffered from regression caused by MD5 checks

2013-08-31 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- repaired incompatibility with pgfplots <= 1.8: samples key was
	evaluated in context of floating point unit and new pgf code relied on dimension
	registers.

2013-08-29 Till Tantau <tantau@users.sourceforge.net>

	- Added "turn" key.
	
2013-08-28 Till Tantau <tantau@users.sourceforge.net>

	- Added "angle" pic type and "angles" library.
	- Patched gd loader code so that it works with context mark IV.
	
2013-08-27 Till Tantau <tantau@users.sourceforge.net>

	- Added new pic path command.
	- Patched pgfsys-dvipdfmx.def to step around the bug in
	(x)dvipdfmx that caused scaled boxes (including scaled
	graphics) inside nodes to be displayed incorrectly.
	
2013-08-24 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>
	
	- fixed bug in fpu: 0^0 and 0^x both produced nan. Now we get
	  0^0=1 and 0^x = 0.

2013-08-22 Till Tantau <tantua@users.sourceforge.net>

	- Removed claims from manual (not by me...) that TikZ does not
	  work with Mark IV of context. I just tried it and everything
	  I tried (including advanced stuff like shadings) worked fine.
	
2013-08-18 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fixed pgf intersection library to ensure that
	  specialround tokens are processed.

2013-08-06 Till Tantau <tantua@users.sourceforge.net>

	- Added support for dvisvgm. Quite nice...
	
2013-08-05 Till Tantau <tantua@users.sourceforge.net>

	- Worked on tex4ht code. Works reasonably well know and even
	  graph drawing is possible (when luatex is used for
	  typesetting; for this I needed to fix some latin1 characters in
	  html4.4ht). Also, I renamed /tikz/tex4ht... to /pgf/tex4ht
	  (someone else added that) since tikz has nothing to do with
	  that stuff. 
	  Typesetting the manual in tex4ht no longer works, but that seems
	  like too much bother for my taste. 

2013-08-02 Till Tantau <tantua@users.sourceforge.net>

	- Fixed bug #256 "The special \pgfcoordinate macro doesn't
	expand \pgfpictureid." 

2013-08-04 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>
	
	- external lib: fixed incompatibility of pdflscape with
	external lib

2013-08-01 Till Tantau <tantua@users.sourceforge.net>

	- Fixed a problem with pdf resources of transparency groups in
	dvipdfmx. 
	
2013-07-31 Till Tantau <tantua@users.sourceforge.net>

	- Fixed bug #149 "/tikz/raw gnuplot ignoring segmented plot"
	  by introducing a new way of handling plot streams. There are
	  now new kinds of points (outliers and undefined points) and
	  "new data sets" commands inside streams. Handlers (like the
	  lineto and curve handlers) can be configured to interpret
	  these as jumps (this is the default).  
	- Fixed bug #255 "Trig computations offend fp via fixedpointarithmetic lib"
	
2013-07-31 Mark Wibrow <vibrovski@users.sourceforge.net>
	- Added "math" library. Could be integrated with calc library.
	
2013-07-26 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- Fixed bug in external lib: mode=list and make did not cope well with
	\ref in externalized images. These will be remade now.

2013-07-24 Till Tantau <tantua@users.sourceforge.net>

	- Fixed bug #162 "PGF manual examples use undefined "shape example" style"
	- Fixed bug #169 "ghostscript error: /undefined in pgfo"
	- Concerning bug #167 "node pin option sets
	  inconsistent/incorrect angle" I added some clarification in
	  the manual that explains the observed behaviour.
	- Fixed bug #158 "\pgfmathparse does not support e-TeXs
	  \numexpr and \dimexpr". You can now also use
	  \pgfmathsetlength to assign a muskip a value. Internally,
	  "mu" is treated like "pt", but if an expression contains
	  "mu", \pgfmathsetlength and \pgfmathaddtolength will convert
	  the number to "mu" before the assignment.
	
2013-07-22 Till Tantau <tantua@users.sourceforge.net>

	- Fixed bug #173 "Tikz's transparency, xelatex and preview
	  package" by adding a specific fix for the interaction
	  between preview.sty and everyshi.sty in pgfutil-latex.def.

2013-07-19 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>
	
	- optimized mark=* and mark=o (q path versions lead to 10% time reduction)
	- adopted new pgfkeys feature to /handler config/full or existing (
	  required when /.search also is used to find the correct key path)

2013-07-19 Till Tantau <tantua@users.sourceforge.net>

	- Fixed bug #175 "In PGF oo module, calling a method strips grouping"
	- Fixed bug #181 "Need to document |- coordinates using calc notation"
	- Fixed bug #187 "\pgfmathanglebetweenpoints is not documented"
	- Increased accuracy of atan, atan2 and
	  \pgfmathanglebetweenpoints. 	

2013-07-18 Till Tantau <tantua@users.sourceforge.net>

	- Fixed bug "#168 PGF is sensitive to dollar catcode"
	- Fixed bug "#186 pgfonlayer makes pgf forget options" and
	  added "every on background layer" option.
	- Fixed bug "#192 pgffor scope iteration is buggy"
	- Fixed bug "#196 Incoherent syntax for Bézier curves"
	- Fixed bug "#199 Drawing error for chamfered rectangle"
	- Fixed bug "#201 Markings fail with "Dimension too Large" on
	  certain paths" by fixing a mistake and the decoration core
	  and, additionally, in pgfmathanglebetweenpoints.
	- Fixed bug "#254 building currenct CVS version fails on
	  graphdrawing with current luatex": Will now work nicely with
	  TeXLive 2013 and Lua 5.2.
	- Added feature request "bug #203 Blending modes and better transparency"
	
2013-07-17 Till Tantau <tantua@users.sourceforge.net>
	
	- Fixed bug #204 "strange influence of \baselinestretch on
	  tikz figure" by no longer sharing \pgfutil@tempa with latex:
	  This register gets changed by LaTeX in a fontchange, which, in
	  turn can happen at the beginning of every
	  \pgfmathsetlength. 
	- Fixed bug #207 "Decoration markings not on path on large
	  lines" by using a more precise computation of positions on
	  straight lines in decorations. Also, the angle computation
	  is now much more precise by fixedin bug #201.
	- Fixed bug #212 "Error if using plot into a \foreach loop in
	  a single path" by making \pgffor@beginhook and friends local
	  to the current \foreach. A nice side-effect is that one can
	  now nest \foreach statements on a path and also mix in the
	  plots. Hopefully, no one relied on the (undocumented,
	  unsupported) old bevahiour of the hooks.
	- Fixed bug #213 "pgfmathsetcounter only works in local scope"
	  by adding a note in the documentation.
	- Fixed bug #211 "\nodepart ignores text transparency"
	- Fixed bug #220 "Transformations ignored in edge decoration."
	- Fixed bug #221 "xyz spherical and cylindrical coordinate, radius not defined"
	- Fixed bug #225 "pgfkeys "/errors/unknown choice value" ignores parameters"
	- Fixed bug #253 "\pgfkeysfiltered cannot accept long arguments"
	- Fixed bug #252 "I'm not able to build the current CVS
	version". This included a number of patches to fix problems
	introduced with the bugfixes introduced recently
	
2013-07-16 Till Tantau <tantua@users.sourceforge.net>
	
	- Fixed bug #226 "matrix column sep=-\pgflinewidth changes after empty cell"
	- Fixed bug #229 "pgfpagesuselayout breaks beamer class"
	  (hopefully, setting page sizes is really messy in TeX!).
	- Fixed bug #232 "pow function broken for 0^x for non-integer values of x"
	- Fixed bug #165 "\draw with empty domain results in infinite calculation"
	- Added better error message to adress bug #244 "mindmap-style
	"invalidates" coordinate shape."
	- Fixed bug #235 "\def\costhirty{0.8660256} not really used"
	
2013-07-15 Till Tantau <tantua@users.sourceforge.net>
	
	- Fixed bug "#237 CVS-version: pdfimage error: key interpolate undefined"
	- Fixed bug "#245 broken key /pgf/decoration/reset marks"
	- Fixed bug "#239 picture disappear after a zero-width rectangle width shading"
	- Fixed bug "#247 Error messages hard to catch in plain TeX/ConTeXt"
	- Fixed bug "#166 Possibly typos in circuits.logic.IEC"
	- Fixed bug "#249 pgfkeys: /handlers/first char syntax is not
	'self-contained' (CVS version)" 
	- Fixed bug "#248 circuits adjustable annotation improperly placed"
	
2013-07-13 Till Tantau <tantua@users.sourceforge.net>
	
	- Fixed bug "#250 pgfkyes: .append style and similar undouble # tokens"
	- Fixed bug "#143 label changes center of a matrix node"

2013-07-12 Till Tantau <tantau@users.sourceforge.net>
	
	- Fixed bug #128 "fit does not scale if used in scaled scope"
	- Fixed bug #136 "\hrulefill inherits or not pgf line styles"
	- Fixed bug #224 "Including Tikzpicture in third part of
	  multipart node" 

2013-07-11 Till Tantau <tantau@users.sourceforge.net>
	
	- Fixed bug #251 "cross out shape interacts with path options of path it is drawn on"
	- Fixed bug #139 "Placement of node inside matix environment"
	- Fixed bug #131 "text centering calculates wrong" and added
	  new "node font" option.
	- Fixed bug #121 "Annoying "Underfull \hbox (badness 10000)" message"
	- Fixed bug #134 "Edge node style affecting arrowhead".
	
2013-07-08 Till Tantau <tantau@users.sourceforge.net>
	
	- Fixed bug #132 "Error in matrix with column sep "between"
	origins"	
	- Fixed bug #133 "\draw[-<<,>=stealth] (10,45) -- (40,45); does
	not work." However, this introduces a (small, only visual)
	incompatibility with previous versions. If you need the visual
	effect "-<<" used to have (which, in a sense, was wrong), use
	"-< <" instead. The new "-> >" is also quite handy.
	
2013-06-28 Till Tantau <tantau@users.sourceforge.net>

	- Fixed bug #116 "Decorations can't be repositioned when
	  pre/post used."
	
2013-06-25 Till Tantau <tantau@users.sourceforge.net>
	
	- Fixed bug #241 "div/null error by (270:length) and a fading line."
	- Fixed bug #126 "Incorrect placed labels for inplicite positioned nodes."
	- Added foreach syntax to nodes. This is useful and also
	  needed to fix the problem that the foreach statement cannot
	  be used after a to path.
	
2013-06-24 Till Tantau <tantau@users.sourceforge.net>
	
	- Fixed bug #18 and #74 (active characters and tikz) by virtue
	  of the new "babel" library, which deactivates catcodes at the
	  beginning of tikz pictures and reactivates them in nodes.
	
2013-06-21 Till Tantau <tantau@users.sourceforge.net>

	- Fixed bug #110 "cannot add node after cycle operation"
	- Fixed bug #88 "\pgftransformarrow does not rotate with \pgfpointanchor"
	- Fixed bug #86 "macro-expanded tree node has bad edge anchor"
	- Fixed bug #85 "PGF + Crop package, at least for pdftex."
	
2013-06-20 Till Tantau <tantau@users.sourceforge.net>
	
	- Fixed bug #83 "Transparency Problem with \usepackage{endfloat}."
	- Applied patch #19 pgfkeys: ".search also" fails at unbalanced "\if" values
	- Applied patch #18 Missing grid lines with
	  negative increment
	- Applied patch #17 TikZ folding library
	- Applied patch #14 inheritance in the oo module
	- Applied patch #13 leaking space in \pgfpointintersectionoflines
	- Applied patch #11 Patch for Bug #3165961 (\pgfmathmax and \pgfmathmin)
	- Fixed problem of patch #9 Add papersize to XeTeX driver
	- Applied patch #8 Support for changing physical page size with XeTeX
	  (also added position saving support, while I was at it...)
	- Applied patches #3, #4, #5, #6 (typos in manual) as far as possible
	
2013-06-18 Till Tantau <tantau@users.sourceforge.net>
	
	- Fixed bug #236 "Scaled closed paths, start/end points dont exactly match":
	  "cycle" can now be used with all path operations where it
	  makes sense, not only with --. In particular, things like
	  ".. cycle" or "to [bend right] cycle" are now allowed.

2013-05-23 Till Tantau <tantau@users.sourceforge.net>

	- Reworked handling of edge and vertex paths in gd. In
	  particular, edge--vertex intersections are now computed in
	  Lua, rather than in TikZ. This is much more powerful and
	  allows beautiful arcs between vertices. It is also very
	  useful for planar graph drawings when several edges leave a
	  vertex in the same direction.
	
2013-04-08 Till Tantau <tantau@users.sourceforge.net>
	
	- Did away with luadoc, now using simple handcoded documentor
	that will also work with Lua 5.2
	- Redid OGDF support. Resonably stable base now.
	- Added better C support.
	- Should now work with both Lua 5.1 and 5.2
	
2013-03-15 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- fixed incompatibility of fixltx2e and external lib

2013-02-08 Till Tantau <tantau@users.sourceforge.net>
	
	- Reworked Storage mechanism of graph drawing system.
	- Added phylogenetics library for graph drawing; documentation
	still only rudimentary.
	
2012-12-30 Till Tantau <tantau@users.sourceforge.net>
	
	- Started adding support for calling C graph drawing functions
	from Lua.
	- First proof of concept for OGDF finished.
	- Must still address luatex shared library link problems.

2012-12-25 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>
	
	- fixed bug in external lib: \tikzexternalgetnextfilename did reset the
	value of \tikzsetnextfilename and 'export next'

2012-11-30 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- updated driver pgfsys-xetex: now, it supports all that the new driver
	for dvipdfmx does which includes fadings, functional shadings, and
	patterns.

2012-11-30 Till Tantau <tantau@users.sourceforge.net>
	
	- First complete documentation of the graph drawing
	system. (Finally!) 
	
2012-11-27 Till Tantau <tantau@users.sourceforge.net>

	- Renamed gd files to shorter versions: instead of
	pgf/gd/model/pgf.gd.model.Edges.lua we now have
	pgf/gd/model/Edge.lua and so on.
	- Worked on gd documentation. Only binding doc is still a
	mess.
	
2012-11-26 Till Tantau <tantau@users.sourceforge.net>

	- Worked on gd documentation.
	
2012-11-21 Till Tantau <tantau@users.sourceforge.net>
	
	- New version of gd lib. The internals have been completely
	redone. In particular, no tikz libraries are needed for the
	individual algorithms any longer, all declarations are now
	done completely inside Lua. This makes gd usable (in
	principle) independently of tikz and pgf.
	- Because of this, all declarations of algorithms need to be
	redone. 

2012-11-10 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>
	
	- external lib: fixed spurious white space (caused by 'up to date check')

2012-11-01 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- manual styles: improved robustness of auto cross references & active spaces

2012-10-18 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Fixed a bug with active colon in circuits lib. Probably more to
	fix in other libraries.
	
2012-10-11 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>

	- Improved precision of math functions asin and acos (using linear
	interpolation instead of constant interpolation)

2012-09-27 Till Tantau <tantau@users.sourceforge.net>

	- Worked on gd.
	
2012-09-26 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>
	- fixed pgfsys-pdftex.def : very old regression with \setbeamercovered{transparent}	and \pause
	Patch by Hendrik Vogt

2012-08-29 Till Tantau <tantau@users.sourceforge.net>

	- Added support for sublayouts in gd (not yet fully
	documented). This allows one to use several algorithms inside
	a single graph.
	
2012-06-28 Till Tantau <tantau@users.sourceforge.net>
	
	- Redone handling of clusters in gd yet again. Renamed them to
	"collections". Much better system now, can handle hyperedges,
	subgraphs and other stuff (in principle).
	- Nodes generated by a gd algorithm now have correct size
	information (this one was tricky!).
	
2012-06-22 Till Tantau <tantau@users.sourceforge.net>
	
	- Redone handling of clusters in gd.
	- Worked on gd documentation.

2012-06-18 Christian Feuersaenger <cfeuersaenger@users.sourceforge.net>
	- fixed minor expansion issue \foreach \x in {a,...,d} lead to unexpanded value \x
	
2012-06-18 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- externalization: added special switch to deactivate incompatible
	geometry drivers during externalization 

2012-05-31 Till Tantau <tantau@users.sourceforge.net>
	
	- Redone pgf.gd.model.Arc
	- Added documentation for said class.
	
2012-05-23 Till Tantau <tantau@users.sourceforge.net>

	- Worked on gd documentation.
	- Replaced old luadoc by customized version. Gets called
	directly from tex.
	
2012-05-17 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- external lib: added support for MD5/diff based up-to-date checks.
	Changes to a picture will automatically result in a remake of the
	respective external graphics.

2012-05-03 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Fix bug #3527068 (\pgfmathatantwo did not exist)

2012-05-14 Till Tantau <tantau@users.sourceforge.net>

	- Changed pgf.gd.new_graph_drawing_algorithm syntax. Not
	  likely to change again...
	- Added support for algorithms to create nodes and edge in the
	  syntactic digraph.
	- Introduced library graphdrawing.examples that includes some
	  code demonstrating how "things are done".


2012-05-13 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- context: fixed catcode issues by means of suitable module
	\protect/\unprotect statements. 

2012-05-06 Till Tantau <tantau@users.sourceforge.net>

	- Introduced a new class model for graph drawing (Digraph,
	  Arc, and Vertex instead of Graph, Edge, Node). I'm currently
	  porting all the old code, but it takes a while and it's a
	  bit messy right now. Some easy algorithms are already based
	  on the new system, old ones not. In the end, things should
	  be significantly faster and also easier to program.

2012-05-03 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Attempt to fix bug in calc lib when '!' or ':' are active (not
	  fully tested but should work).

2012-05-02 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Attempt to fix bug with label and pin when ':' is active (not
	  fully tested but should work).

2012-04-19 Till Tantau <tantau@users.sourceforge.net>

	- Finished the first two chapters of the documentation of gd
 	  (overview and tikz usage).
	- Module system is now redone and the directory structure
	  has been reorganized. No more messing around with lua
	  modules, everything is perfectly portable now.
	
2012-04-17 Till Tantau <tantau@users.sourceforge.net>

	- Started to completely redo the module system of graph
	  drawing in lua. I'm in the middle of it, so its currently
	  messy, but it works.
	
2012-04-12 Till Tantau <tantau@users.sourceforge.net>

	- Implemented packing procedure for graph drawing.
	- Cleaned up graph drawing source some more.
	- Renamed lots of files (still not happy with it, though).

2012-04-11 Till Tantau <tantau@users.sourceforge.net>

	- Implemented Reingold-Tilford tree layout.

2012-04-05 Till Tantau <tantau@users.sourceforge.net>

	- Implemented my first graph drawing algorithm: circular layout.

2012-04-03 Till Tantau <tantau@users.sourceforge.net>

	- Introduced new declaration mechanism for graph drawing
	  algorithm classes
	- Implemented preprocessing step of decomposing a graph into
	  connected components.
	
2012-04-02 Till Tantau <tantau@users.sourceforge.net>

	- Cleaned up graph drawing algorithm directories: Moved
	obsolete algorithms to special directory.
	- Switched graph drawing calling interface from function-base
	to object-based: All graph drawing algorithms must now be
	implemented in a class
	- Cleaned up file and class names of graph drawing engine. 

2012-03-30 Till Tantau <tantau@users.sourceforge.net>

	- Fixed problem that in case math library is loaded before pgf
	some math functions were broken (because \pgfmath@xa and
	\pgf@xa were different registers, which they should not be).
	
2012-03-29 Till Tantau <tantau@users.sourceforge.net>

	- Added anchoring and orientation to graph drawing library. 
	
2012-03-21 Till Tantau <tantau@users.sourceforge.net>

	- Added arrows.spaced library.
	- Added quotation syntax to graph lib.
	- Renamed some graph drawing layouts.
	- Worked on documentation of graph drawing lib.

2012-03-07 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Moved wrappers for luatex primitives (\pgfutil@directlua,
	\pgfutil@ifluatex, \pgfutil@luaescapestring) to pgfutil-common.tex
	- Added support for luatex to the profiler library by emulating
	\pdfelapsedtime.

2012-02-27 Till Tantau <tantau@users.sourceforge.net>

	- Fixed wrong edef in graph lib that broke the /-syntax when
	  text contained expandable stuff.
	
2012-02-21 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- More work on the luamath parser and evaluator.

2012-01-24 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Fix a bug in tikz polar coordinates (reported on tex.se
	http://tex.stackexchange.com/questions/41828/using-math-in-tikz):
	braces around a delimited argument are removed.

2012-01-10 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Fix a bug in pgfmath != operator (reported and fixed on tex.se
	http://tex.stackexchange.com/questions/40605/using-in-pgfmathparse)

2012-01-09 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Fix a pgfmath dependency for pgffor.

2012-01-03 Till Tantau <tantau@users.sourceforge.net>

	- Added pos support to the arc command (finally...).
	- Added support to the graph library for drawing tries.
	- Added support to the graph library for adding edge labels in
	  an easier way.

2011-12-29 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Added the 'fixed relative' number formatting style.

2011-12-28 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- Added 'const plot mark mid' and 'jump mark mid' plot handlers.

2011-12-02 Till Tantau <tantau@users.sourceforge.net>

	- Renamed "layered drawing" to "layered layout" for
	consistency. 

2011-11-12 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- More work on the lua math parser and evaluator.
	- Added wrappers for luatex primitives: \pgfutil@directlua,
	\pgfutil@ifluatex, \pgfutil@luaescapestring
	- Make lua code more lua 5.2 compatible

2011-11-11 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Work on the lua math parser and evaluator. Begin to merge Mark's
	code with mine.

2011-11-03 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- added FPU support for ==, !=, <=, >=, ?

2011-10-29 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- fixed problem with pgf number printer: it introduced spurious spaces
	tracker id 3430171. Thanks to Clemens Koppensteiner for the bugfix.

2011-09-25 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- \pgfsetlayers can now be given inside of a pgfpicture (or tikzpicture)

2011-06-22 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- The lua math parser now works on basic expressions (no units, no
	arrays, no strings, no functions, ...?).

2011-06-02 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Some work on a lua (lpeg based) math parser.

2011-05-31 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Added a gnuplot call key to pgfmoduleplot.code.tex (feature
	request #3308340).

2011-05-30 Jannis Pohlmann <jannis@xfce.org>

	- graph drawing: 
	  - Initial work on layered drawing algorithms.

2011-05-25 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Added dim function for array to pgfmath (to be documented)
	- Some work on a ODE solver
	
2011-05-20 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- removed spurious white spaces in my bugfix for pgfmathdivide

2011-05-19 Till Tantau <tantau@users.sourceforge.net>

	- Second attempt at fixing spy lib...

2011-05-18 Matthias Schulz <ma.schulz@email.de>

	- graph drawing:
	  - added short overview for nodes and edges (lua class documentation)

2011-05-17 Jannis Pohlmann <jannis@xfce.org>

	- graph drawing:
	  - Separate 'spring layout' and 'spring electrical layout' families.
		  Rename existing algorithms accordingly.
	  - Add an implementation of the Floyd-Warshall algorithm.
	  - Add a new 'Hu2006 spring' algorithm based solely on springs.
	  - Improve the initial layout of 'Hu2006 spring electrical' by 
	    taking the graph size and diameter into account.
	  - Rework existing spring electrical algorithms and improve 
	    documentation.
	  - Catch -!- edges and remove them from the Lua graph when detected.

2011-05-14 Jannis Pohlmann <jannis@xfce.org>

	- graph drawing:
	  - Update documentation of spring and spring-electrical parameters.
	    Add TODO items where things are missing, unclear or need to be 
	    worked on.
	  - Make initial step dimension and the electric charge of nodes
	    configurable. Both, Walshaw2000 and Hu2006 support this.
	  - Improve the approximation of the repulsive force.

2011-05-13 Till Tantau <tantau@users.sourceforge.net>

	- Fixed bug 3297817 (spy postscript problem).
	- Fixed bug of missing newpath in postscript and opacity
	  settings. 
	
2011-05-13 Jannis Pohlmann <jannis@xfce.org>

	- graph drawing:
	  - Rename graphdrawing.spring to graphdrawing.force.
	  - Fix NaN bug in the orientation helper.
	  - Initial work on improving and documenting the parameters for
	    spring and spring-electrical algorithms.
	  - Properly forward default node and edge parameters to Lua.

2011-05-12 Jannis Pohlmann <jannis@xfce.org>

	- graph drawing:
	  - Add Fibonacci heap and priority queue classes. 
	  - Add Lua file for common graph algorithms. Implement Dijkstra.
	  - Add method Graph:getPseudoDiameter().
	  - Hu2006: Scale coordinations of nodes in a coarse graph based on 
	    the quotient of its pseudo diameters and that of the parent coarse
	    graph, as described in the paper.

2011-05-11 Jannis Pohlmann <jannis@xfce.org>

	- graph drawing:
	  - Fix several interpolation bugs in the coarse graph class.
	  - Use the coarse graph class in the Walshaw2000 algorithm.

2011-05-11 Till Tantau <tantau@users.sourceforge.net>

	- Worked on documentation of gd backend. Still need to
	  document graph parameters.
	
2011-05-10 Jannis Pohlmann <jannis@xfce.org>

	- graph drawing:
	  - Remove files from the old graph drawing library tree.
	  - Disable verbose logging by default.
	  - Specify sane initial values for spring algorithm parameters.

2011-05-10 Till Tantau <tantau@users.sourceforge.net>

	- Added .graph drawing parameter initial key.

2011-05-09 Jannis Pohlmann <jannis@xfce.org>

	- graph drawing:
	  - Implement graph coarsening in the Hu2006 algorithm.
	  - Name force-based algorithms after the paper author and year.

2011-05-09 Till Tantau <tantau@users.sourceforge.net>

	- Reorganized graph drawing documentation.

2011-05-06 Jannis Pohlmann <jannis@xfce.org>

	- Finished the graph drawing library reorganization started by Till.

2011-05-06 Till Tantau <tantau@users.sourceforge.net>

	- Reorganized the graph drawing key and directory
	  structure. The documentation is still missing. Also, lots of
	  files still need to be moved, but I'll leave that to Jannis.
	
2011-05-06 Jannis Pohlmann <jannis@xfce.org>

	- graph drawing:
	  - implement a quadtree optimization in the Walshaw algorithm.
	  - add a simple version of the Hu spring-electrical algorithm that
	    seems to work almost as good as the Walshaw even without
		  the multilevel approach implemented (which is the only thing
		  that really makes the Walshaw algorithm useful).

2011-05-04 Jannis Pohlmann <jannis@xfce.org>

	- graph drawing: 
	  - Initial work on a quad tree implementation for spring and spring
		  electrical algorithms, with unit test.
		- Improve the internals of the Vector class.

2011-05-03 Till Tantau <tantau@users.sourceforge.net>

	- graph drawing: Started to cleanup pgf and tikz layers. Ongoing...

2011-05-03 Jannis Pohlmann <jannis@xfce.org>

	- graph drawing:
		- Fix Walshaw algorithm to properly set the subnodes when copying
		  the coarse graphs. Simplify the code that updates the node
		  coordinates.

2011-05-02 Jannis Pohlmann <jannis@xfce.org>

	- graph drawing:
	  - Modify the doclet to allow underscores in parameter names.
		- Document the Vector class as well as the table, iter and traversal
		  helpers.
		- Remove old table and iterator helpers. Rename helper files. Rename
		  table.merge() and table.copy() to table.custom_merge() and
		  table.custom_copy() to avoid name clashes with luatools. Add 
		  string helpers, including string.parse_braces(). Update algorithms 
		  to work with these changes.
		- Allow vectors to have an origin vector, similar to the Position
		  class. Introduce new alternative table-based syntax for
		  Vector:set() that is much easier to read. Update unit tests
		  and algorithms. 

2011-05-02 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- fpu: added support for log10 and log2

2011-05-02 Jannis Pohlmann <jannis@xfce.org>

	- graph drawing: 
	  - Drop the 'not yet positionedPGFGDINTERNAL' node name prefix
	    internally. It's stripped off now when nodes are passed over to
	  	Lua and its added back again when shipping the node out to TeX.
	  -	Drop the Node:shortname() method which is no longer needed.
	  - Improve coding style and documentation of the Interface, Sys, 
	    Node, Edge and Graph classes. 
	  - Rename Sys:logMessage() to Sys:log().
	  - Make parameter labels in the API docs not appear in bold.
		- Disable verbose logging by default.
		- Add methods Edge:getNodes() and Node:getEdges().

2011-05-02 Jannis Pohlmann <jannis@xfce.org>

	- graph drawing: 
	  - Initial work on spring-electrical and layered drawing algorithms.
		- Major rework of the Lua code of the graphdrawing library: added
		  a Vector class for improved math operations and node positioning,
			added quite a number of table and iterator helpers, added
			post-processing code for fixing the orientation of graph drawings,
			updated the graph/node/edge data structures to store nodes in the order
			they appear instead of storing them in a random order, implement
			coordinate keys for nodes, and much more.

2011-04-30  Christian Feuersaenger <ludewich@users.sourceforge.net>

	- number printing: added '1000 sep in fractionals' switch

2011-04-29 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Work on pgflibraryluamath (added pgfpointnormalised)

2011-04-27 Matthias Schulz <ma.schulz@email.de>

	- Graphdrawing library documentation, split into two files, removed
	noluatex file, reworked the text (added information).

2011-04-25 Christophe Jorssen <cjorssen@users.sourceforge.net>

	- First attempt to do math with lua (very basical): pgflibraryluamath

2011-04-18  Christian Feuersaenger <ludewich@users.sourceforge.net>

	- bugfix for rounding error in \pgfmathdivide{83.407811000}{16.68156400}
	was 4.10, is now 5.0: it could happen in rare cases that digits where 
	appended where they shouldhave been than added (4 + .10 instead of 4 + 1.0)

2011-04-22 Jannis Pohlmann <jannis@xfce.org>

	- Implemented a G_n subgraph for creating grid (or: mesh) graphs.
	This also introduces a new key /tikz/graphs/wrap after=<number> that
	configures how the nodes in such a grid graph are connected. Some of
	the common subgraph keys such as /tikz/graphs/V and /tikz/graphs/n 
	can be used with G_n subgraphs as well.
	- Added a simple grid placement strategy. It currently does not 
	support the chain shift and group shift keys properly and does not 
	implement any placement order other than left-to-right, so there is
	room for improvement.

2011-04-18  Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- external lib: reduced number of \newwrite allocations and allowed to disable features
	to safe more of them (aux in dpth=false,disable dependency files)

2011-04-17  Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- added '/pgf/number format/relative' formatting style.

2011-03-22 Till Tantau <tantau@users.sourceforge.net>

	- Finished documentation of data visualization (sort of)! 
	- First usable version of data visualization!

2011-03-15 Till Tantau <tantau@users.sourceforge.net>

	- Worked on dv documentation. Finished chapter on visualizers,
	style sheets. Legends still missing

2011-03-07 Till Tantau <tantau@users.sourceforge.net>

	- Worked on dv documentation. Finished chapter on axes.

2011-03-07  Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- Incorporated a bugfix of Hans Hagen which makes pgf compatible with
	Context Mk IV.
	Verified: the patch is backwards compatible with TL 2009 and TL 2010
	i.e. Context MkII and it works with Context Mk IV.

2011-01-22 Till Tantau <tantau@users.sourceforge.net>

	- Worked on dv documentation.
	
2011-01-05  Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Attempt to fix a bug #1911195 with pgfpages and rotation (fix
	contributed by Mark Wibrow). Note: Mark was not sure it has side
	effects.

2010-12-17  Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Documentation will now compile with auto-xref enabled (a problem
	with \_ in the graph lib not handled correctly by
	pgfmanual.pdflinks.code.tex).
	- Fix bug #3104978 thanks to Heiko Oberdiek patch on ctt.

2010-12-17 Till Tantau <tantau@users.sourceforge.net>

	- Changed the graph syntax for anonymous nodes in the graph
	library and simplified the as= syntax.
	- Added fresh nodes options to graph library.

2010-12-14 Till Tantau <tantau@users.sourceforge.net>

	- Fixed graph lib so that it compiles with plain TeX.

2010-12-10 Till Tantau <tantau@users.sourceforge.net>

	- Small fixed in the graph library.

2010-12-07 Till Tantau <tantau@users.sourceforge.net>

	- Finished graph library!

2010-12-06 Till Tantau <tantau@users.sourceforge.net>

	- Nearly finished graph lib and its documentation.

2010-11-30 Till Tantau <tantau@users.sourceforge.net>

	- Fixed bug #3123605 (hopefully...).
	- Worked on graph lib.

2010-11-19  Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Some integer arithmetics functions for the math parser
	(contributed by Alain Matthes): gcd, isprime, isodd, iseven

2010-11-19 Till Tantau <tantau@users.sourceforge.net>

	- Second attempt at making \tikz work also with fragile stuff
	following. The new code will no longer fail in a situation
	like \tikz \foreach ...
	- Worked on graph lib stuff.

2010-11-06  Christophe Jorssen <cjorssen@users.sourceforge.net>

	- A luatex version of the doc is available (fixed inputenc issues
	since luatex works with utf8 by default).

2010-11-04  Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Fix bug in pgfmathfunctions.basic.code.tex (bug reported by
	Alain Matthes and fixed by Paul Gaborit on fctt): wrong
	interaction between pow and exp (linked to \pgfmath@x modified
	outside macro call).

2010-11-01  Christophe Jorssen <cjorssen@users.sourceforge.net>

	- Make \pgfkeys@exp@call long (bug reported by Florent Chervet on
	fctt)
	- Fix bug in pgflibraryshapes.callouts.code.tex: \pgf@test changed
	to \pgf@node@name (bug reported by Zarko F. Cucej on ctt and fix
	contributed by Mark Wibrow)
	
2010-10-27  Christophe Jorssen <cjorssen@users.sourceforge.net>

	- fixed bug 3096333 (Fix contributed by Mark Wibrow): pgffor
	failed to update \lastx in some cases 
	
2010-10-25  Christian Feuersaenger <ludewich@users.sourceforge.net>

	Released version 2.10

2010-10-22 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- closed a lot of bugs on sourceforge, especially documentation bugs
	- fixed bug 2429749: gnuplot invocation in tabularx did not work.

2010-10-21 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- fixed bug: there was an incompatibility between pgf and beamer due to a
	missing \interlineskip in the shipout handling for latex.

2010-10-15 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- renamed 'halfcircle' marker to 'halfcircle*' and added 'halfcircle'.
	- provided special case 'mark color=none' for the half-filled markers.

2010-10-13 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- fixed incorrect fill/stroke coloring of new marker contributions (see
	ChangeLog 2010-09-27)
	- added more predefined dashed and dotted line patterns for black/white plots
	to fulfill a related feature request of Tomek
	- fixed bug: the 'name path global' feature did not work in every case...
	the actual implementation might need to be revised eventually.

2010-10-12 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Imported spell checking results of Stefan Pinnow (thanks!)
	- Dealed with typo in 'sci generic' number formatting style: it now
	accepts 'mantissa' *and* 'mantisse'

2010-10-11 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- External lib: Fixed bug. The 'failed ref warnings for' was not properly \protect'ed.

2010-09-27 Till Tantau <tantua@users.sourceforge.net>

	- Started on graph lib. Not yet finished and not documented.
	

2010-09-21 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Added plot markers of Magnus Tewes and Tomek: halfcircle, halfsquare*,
	halfsquare left*, halfsquare right*, heart

2010-09-08 Till Tantau <tantua@users.sourceforge.net>

	- Added \pgfpositionnodelater and \pgfpositionnodenow
	commands.
	

2010-08-31 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- externalization+\ref: fixed a bug

2010-08-30 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- external lib: documented how to generate .png graphics and added support
	switches.

2010-08-26 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added 'baseline=default', 'trim left=default' and 'trim right=default' choices to reset these keys.

2010-08-25 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added support to provide paragraphs in "pin" arguments

2010-08-24 Till Tantau <tantau@users.sourceforge.net>

	- Worked on data visualization and its documentation.


2010-08-23 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- basic level externalization: added \hoffset=0pt and \voffset=0pt to improve
	compatibility with special document classes
	- added docs for \deferredanchor feature contributed by Christophe Jorssen <cjorssen@users.sourceforge.net>
	- ConTeXt support: fixed loading problem of calendar lib


2010-08-18 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- pgfsys-tex4ht.def: fixed problem with \par in a non-long macro argument,
	thereby eliminating a compilation problem
	- pgfsys-tex4ht.def: renamed offending macro invocation \Par to \par


2010-08-16 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- basic level image externalization: added '/pgf/images/trim external={<left>}{<bottom>}{<right>}{<top>}'
	to allow modifications to the hardcoded '1truein' shifts.
	- added '/.style n args' key.
	- \usetikzlibrary / \usepgflibrary: added support for white-space trimming
	and empty arguments in the lists. Now, lines do not need to be terminated
	by '%' and ',,' is valid.

2010-08-13 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- external lib: documented how to solve compatibility problems with
	\tikzifexternalizing

2010-08-11 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- added \deferredanchor feature contributed by Christophe Jorssen <cjorssen@users.sourceforge.net>

2010-08-03 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added optimized and numerically stable arc path command
	\pgfpatharctoprecomputed which interpolates start- and end points
	
2010-07-10 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- external lib: fixed incompatibility with 2010/06/08 v2.0b eso-pic package 

2010-07-06 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- external lib: added sanity checking for failed \ref,\pageref,\cite commands in external images.

2010-07-01 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- math parser: improved error messages by providing the complete math expression.

2010-06-30 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- added 'trim left' and 'trim right' features to simplify bounding box
	modifications and allow support for restricted bounding boxes and image
	externalization.	

2010-06-16 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- pgfutil-latex.def: changed \usepackage to \RequirePackage (thanks to Christophe Jorssen)
	- external lib: added \tikzappendtofigurename{} shortcut for '\tikzset{external/figure name/.add={}{suffix}}'

2010-06-14 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- external lib: added warning at end of document if not all graphics have
	been found.

2010-06-10 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- updated file 'tikzexternal.sty' for \label and \ref support inside of
	externalized graphics
	- documented how \label and \ref support in external graphics works.
	- activated \label support for mode=convert with system call and
	documented limitations.

2010-06-09 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added \tikzifinpicture{<true code>}{<false code>} macro

2010-05-31 Till Tantau <tantau@users.sourceforge.net>

	- Worked on data visualization.

2010-05-30 Till Tantau <tantau@users.sourceforge.net>

	- Added .list key handler.

2010-05-26 Till Tantau <tantau@users.sourceforge.net>

	- Worked on data visualization.
	
2010-05-06 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- improved sanity checking in number printer: now, the zero flag is
	checked even if its exponent > 0

2010-04-22 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- floatparsenumber: number format errors after exponents now contain the offending
	character instead of '\relax' 

2010-04-12 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- number printer: added 'frac denom' and 'frac whole' for fine tuning of
	fractional number printing.

2010-04-10 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- number printer: made \protect portable across TeX variants (doesn't
	produce bugs with context anymore)
	- fpu: optimized \pgfmathfloatgetflagstomacro

2010-04-09 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added \pgfresetboundingbox
	- added \pgfgetlastxy coordinate macro
	- added '/pgf/images/include external/<image name>' code key.

2010-04-08 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- fpu: added convenience method \pgfmathfloattoint

2010-03-31 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- number printer: added 'frac' style to automatically create fractionals.

2010-03-25 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- splitted basic level file pgfcoreimage.code.tex: there is now a 
	pgfcoreexternal.code.tex file.

2010-03-24 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- \pgfmathprintnumber is no longer a "fragile" command (it is \protect'ed
	automatically in LaTeX).

2010-03-23 Till Tantau <tantau@users.sourceforge.net>

	- Fixed baseline alignment with "text width" option in LaTeX.

2010-03-23 Mark Wibrow <vibrovski@users.sourceforge.net>

	- New divide function
	- Rewrote code foreach extensions. Now no longer an impenetrable mess.
	  pgffor.code.tex is much larger, but contains some (as yet) undocumented 
	  features which may get optimised out.
	
2010-03-19 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Image externalization: added '/pgf/images/aux in dpth' feature.
	It allows to store \label and other .aux file related stuff in the image's
	.dpth file which is processed when when the main document includes the
	image.
	The new switch is on for the semi-automatic modes of the external lib, otherwise it is
	off.

2010-03-17 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- pgfkeys: added '.code n args' handler. The difference to '.code
	args={#1#2#3}' is that keys defined with 'code n args' gobble spaces
	between the arguments.
	Note: 'code 2 args' remains as-is (it has the special feature that the
	second argument is optional).
	- fixed bug in '/.add code' key handler: it didn't work properly for
	complicated keys
	- pgfkeys manual section: updated xrefs and docs

2010-03-15 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- external lib: \tikzexternalize no longer needs (but still accepts) the
	main job's name. Changes are now documented and the replacement |.sty|
	file has been updated.
	- intersection lib: added 'name path global' feature.

2010-03-11 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- external lib: partially fixed incompatibility with glossary package and
	documented work-around

2010-03-05 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- FPU: added \pgfmathfloatifapproxequalrel 
	- number printing: added style to configure |sci precision|
	- number printing: added style to configure |std=<lower e>:<upper e>|

2010-03-03 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- external lib: the <real job's name> argument from \tikzexternalize is
	now optional. It can be deduced automatically if it is missing.

2010-02-18 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- number printing: added 'sci generic' style to customize the appearance
	of scientific format and a 'verbatim' style which doesn't use TeX macros
	for the formatted numbers.

2010-02-17 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- external lib: now, a |\jobname.auxlock| file will be generated in order
	to detect whether the \jobname.aux file is in its final state. This allows
	to export any images containing |\ref{}| manually; the automatic procedure
	will not use the .aux file.

2010-02-16 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Added \ifpgfexternalreadmainaux switch. Will be used to avoid buffering
	problems during externalization mode 'convert with system call'.

2010-02-16 Till Tantau <tantau@users.sourceforge.net>

	- Fixed bug "papersize not supported by pgfsys-xetex.def - ID: 2934982"


2010-02-09 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Improved automatic cross referencing: auto key path prefixing failed for
	spaces in key paths.

2010-02-08 Till Tantau <tantau@users.sourceforge.net>

	- Added "on background layer" key to backgrounds lib.

2010-02-02 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added \pgfmathifisint
	- supported \nofiles in auto xref generation

2010-02-01 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- externalization: both, basic layer and external lib now support \ref{}s
	inside of externalized pictures. Furthermore, they won't generate any aux
	files on their own (which wouldn't be thread safe and is not useful
	anyway)

2010-01-29 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- external lib: fixed bug with figure list/makefile handling and file
	deps: calling file dependency handlings outside of a picture could result
	in compilation failures

2010-01-27 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- external lib: mode=list and make now supports the force remake keys.
	- external lib: the -shell-escape switch for nested system calls is
	activated only if it was active for the main document. This should allow a
	reasonable security measure for mode=list and make (which will also work
	without system calls from within TeX).

2010-01-18 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- external lib: added support for file dependencies.
	For mode=list and make, any file dependencies configured with
	\tikzpicturedependsonfile{<name>} will be checked by the generated
	makefile.


2010-01-16 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- profiler library now uses an output file which contains the current date
	and time. Furthermore, it counts every invocation and allows to show every
	command invocation (optionally with arguments expanded).

2010-01-14 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- profiler library can now profile macros with arbitrary argument pattern
	and is more rebust with respect to save stack usage

2010-01-11 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- worked on profiler library and added docs for it.

2010-01-10 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added first draft of the pgf 'profiler' library

2010-01-07 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fix for rounded corners affecting custom fills in rectangle 
	  split shape.

2009-12-29 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- updated the 'make dist' documentation target such that it compresses
	every pdf object. The resulting manual is half as large than without
	compression, but it requires pdf 1.5 (at least acrobat 6.0).

2009-12-22 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- external lib: some output messages did not respect the 'verbose
	IO=false' flag; fixed that
	- fixed buggy treatment of some automatic cross references in manual

2009-12-15 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- external lib: improved the tikzexternal.sty package which can be used
	without pgf installed.

2009-12-04 Till Tantau <tantau@users.sourceforge.net>

	- added spy library.
	
2009-12-02 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- imported a patch of Andy Schlaikjer which extends the 'plot gnuplot'
	feature to read the ``unbounded point'' information provided by gnuplot.

2009-11-29 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added \r@pgf@reada temporary \openin register for compatibility with
	other packages

2009-11-19 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- fixed an auto xref bug which wrote '\pgfkeys{}' although the manual
	contained |\pgfkeys|.

2009-11-18 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- external lib: the 'optimize command away' things where not activated
	accidentally. I fixed it.
	- added support for new paragraphs in pgfkeys values
	- fixed bug in |const plot| handler (and all its variants): the first
	coordinate was transformed twice

2009-11-15 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- auto xrefs now support point coordinate systems.
	- auto xrefs now provide an interface to deal with tricky active
	characters (for |-)
	- external lib: improved compatibility with |fadings| libary.
	- replaced 'set terminal table; set output "<file>"' by 'set table "<file>"'
	to maintain compatibility with the new gnuplot version.

2009-11-14 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- pgfmanual.pdf: provided a 'make dist' target in version_for_pdftex/en
	which activates automatic hyper references from codeexamples to key
	declarations.
	This utilizes larger memory limits, configured in
	doc/generic/pgf/text-en/texmf.cnf

2009-11-12 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Added the 'small mindmap' style.

2009-11-06 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- FPU: improved sanity checks and exception handling for the decompose
	routines (pgfmathfloatgetexponent etc) and the number parser.
	Added exception 'wrong lowlevel format'.

2009-10-20 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- renamed 'text mark/style' to 'text mark style' and 'text mark/as node'
	to 'text mark as node' (there are backw. compatibility hooks).
	This should avoid confusion with '.unknown' handlers.

2009-10-19 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- improved error recovery of external lib.

2009-10-16 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- temporarily disabled the auto cross references -- it seems they compile
	only with increased memory.

2009-10-15 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Installed preliminary version of automatic cross referencing tool.
	Now, every codeexample is parsed for options and control sequences which
	have been defined somewhere else in the document; pdf cross references are
	built automatically as well.
	- configured links to be blue throughout the document.
	- external lib: added \tikzexternaldisable such that partial externalization is possible
	although the document contains unsupported constructs (where environments
	can't be identified without macro expansion).
	The pgfmanual compiles with image externalization now.

2009-10-13 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added \pgfutilsolvetwotwoleq to solve 2x2 linear equation systems using
	column pivotisation and gauss elim. Should result in improved quality
	compared with \pgftransforminvert as internal equation solver

2009-10-09 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Defined \pgfdeclaregenericanchor to allow anchors which get the shape
	name as argument. Only useful internally.

2009-09-15 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Fixed buggy treatment of white spaces in \jobname and 'plot function'
	using \pgfutilpreparefilename.

2009-09-04 Till Tantau <tantau@users.sourceforge.net>

	- Fixed bug item #2834141 [wrong reversed double arrows]
	- Fixed bug item #2834233 [shapes libraries]
	- Fixed bug item #2822265 [tangent coordinates not working in CVS]
	- Changed \rm to \tf in Context.

2009-07-31 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- external lib: added 'mode=list and make'. Now, image externalisation
	time can be reduced with 'make -j 2 -f mainfile.makefile'.

2009-07-08 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- external lib: fixed treatment of long arguments in \tikz ... ; shortcut
	command.

2009-06-30 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- fixed white space bug in \pgfkeysdeactivatefamily
	- added \pgfmathfloatvalueof

2009-06-22 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added a '*' feature to '\pgfmathdeclarefunction' which overwrites
	existing functions.

2009-06-11 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added '/tikz/no marks' key.
	- fixed typo in external lib documentation: the key is called 'figure name',
	not 'file name'

2009-06-10 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- added \pgfgettransformentries and \pgfsettransformentries.
	- updated the external library such that it deals with active characters
	in the same way as without external library.
	- fixed bug in fpu cosh, sinh and tanh

2009-06-09 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- provided two new aliases for key filters, added \pgfkeyssetfamily.

2009-05-29 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- allowed numbers like '.9' in fpu.

2009-02-29 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fix for signal shape. 


2009-05-22 Jin-Hwan Cho <jinhwancho@users.sourceforge.net>

	- Applied the patches for dvipdfmx driver,
	pgf-doc-diff.version2cvs (2009-04-18) and
	pgf-generic-diff.version2cvs (2009-04-19).

2009-05-18 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Restored processing of unknown keys in the predefined key filters 'and',
	'not', 'or' and 'false': it was not improvement...

2009-05-17 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- fixed the sequence of arguments of
	\pgfqkeysactivatefamiliesandfilteroptions and 
	\pgfqkeysactivatesinglefamilyandfilteroptions
	in the reference manual.

2009-05-16 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- key filtering: the composed key filter handlers 'not', 'and', 'false' and 'or' now 
	ignore unknown options and call the .unknown handlers.
	- pgfkeys: removed the experimental \pgfkeyssetdefaultpathforhandled method.
	It doesn't fit into the clean interface for pgfkeys - and the problem of
	default paths for handled keys can be solved better with the '/handler
	config' method.

2009-04-24 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- provided API function \pgfmathfloatifflags to simplify special cases in
	FPU.

2009-04-23 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added (primitive) veclen implementation for FPU.
	- added cosh, sinh, tanh to FPU

2009-04-21 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- fixed bug in external lib: empty lines in tikzpicture environments were not accepted 
	for some operating modes.

2009-04-18 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added \pgfqpointscale

2009-04-08 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added an optional argument count to 'optimize command away' in external
	library.

2009-04-03 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added the |figure name| key to the externalization library
	- improved docs for externalization library

2009-03-30 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- improved sanity checking of floating point comparison: does now also
	yield results for infty/nan
	- added fix for precedence bug for unary minus (fix has been suggested by
	Mark Wibrow, by mail conversation)

2009-03-22 Till Tantau <tantau@users.sourceforge.net>

	- Replaced \z@ by 0pt for context.

2009-03-21 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- external library: fixed the 'optimize' feature: pictures which won't be
	exported could not be optimized away (although they should)

2009-03-20 Till Tantau <tantau@users.sourceforge.net>

	- Replaced \toks@ and \voidb@x by \pgfutil@toks@ and
	  \pgfutil@voidb@x. 

2009-03-14 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- improved docs for .search also.
	- fixed initial value for 'domain' such that it really uses the default
	samples=25.
	

2009-03-09 Till Tantau <tantau@users.sourceforge.net>

	- Added patch for context color support in luatex.

2009-02-26 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- improved the optimization facilities of the external library:
	|optimize=false| will now properly restore any optimized material 
	when used in \tikzset
	
2009-02-23 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added |/handler config=all,only existing,full or existing|
	configuration.
	- added |.search also| key handler as a simple implementation of key
	search paths.
	- fixed default value for /tikz/samples at- there are no really 25
	samples, not 26. I forgot to fix this last time when I fixed 'samples'

2009-02-20 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added |\pgfkeyssetdefaultpathforhandled| feature as improvement for
	multiple key paths to pgfkeys. Reference documentation and an 
	application example is in the manual.

2009-02-13 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added 'mark=text' which draws arbitrary TeX content as plot marks to
	plot mark library.

2009-02-06 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added key 'define function' to define simple local functions. 

2009-02-04 Till Tantau <tantau@users.sourceforge.net>

	- Worked on dv stuff.
	
2009-02-01 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Index argument to array is automatically truncated to an 
	  integer.
	- Text decoration can now be aligned along or fitted to a path.
	- Added key '/pgf/decoration/reverse path' to decorate a path 
	  backwards.

2009-01-24 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- the FPU deactivation command is now assembled once and for all during
	its first usage.

2009-01-23 Till Tantau <tantau@users.sourceforge.net>

	- Changed the "ellipse", "circle" and "arc" commands, so that
	  they take options. This gives a much clearer and more
	  flexible syntax. Naturally, the old syntax continues to work
	  as expected. 
	- Documented svg stuff and added tikz interface. Most useful
	  for quickly converting svg pictures to tikz pictures...

2009-01-23 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- fixed fpu 'round' method - it rounded mantissas instead of the complete
	number before.

2009-01-22 Till Tantau <tantau@users.sourceforge.net>

	- Fixed some math stuff
	- Renamed \pgfpathcurvebetweentime* to
	  \pgfpathcurvebetweentimecontinue. 
	- Added svg.path lib. It allows one to directly use
	  the svg syntax for paths (like "M10 10 L 20 20"). Not yet
	  documented. 

2009-01-06 Till Tantau <tantau@users.sourceforge.net>

	- Added tutorial for mind/lecture maps.

2009-01-06 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- implemented fpu factorial
	- if the fixed point library is activated, the fpu will be deactivated
	automatically.
	- added draft for FPU documentation

2009-01-03 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- fixed bug in fpu sqrt.
	- added logical commands to fpu.
	- fixed bug in fpu related to multi-argument-commands
	- provided feature to disable fpu manually.

2008-12-31 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added support for pgf 2.00 and the fpu (works only with additional
	and technical work - the fpu file is not all which is needed)
	- added pow and greaterthan to FPU
	- fixed some FPU issues
	- fixed processing of '/tikz/domain' key - it produced N+1 samples instead
	of N.

2008-12-30 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added further functions to fpu; improved sanity checking; fixed smaller
	bugs related to fpu

2008-12-29 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- improved internal floating point code: it is possible to change the
	  low-level representation with minimal number of code lines.
	- modified low-level floating point representation. All high level code
	  should be completely unaffected; the changes are backwards compatible.
	- Wrote first draft of a floating point unit library (fpu) similar in
	  spirit to the fixed point library of Mark Wibrow.
	- Moved all floating point math operations (functions) into the fpu
	  library. It is now necessary to include the library in order to use
	  floating point math operations. The number formatting methods are still
	  available as before.

2008-12-28 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added trigonometric functions to floating point unit.

2008-12-17 Till Tantau <tantau@users.sourceforge.net>

	- Added \colorlet to ConTeXt stuff.

2008-12-14 Till Tantau <tantau@users.sourceforge.net>

	- Worked some more on data visualization stuff. Still in
	pre-alpha. 

2008-12-11 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added \pgfmathfloatexp.

2008-12-07 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- floating point macros now always use the basic pgf math methods for
	mantisse computations, even if the fixed point library is active.

2008-12-06 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- 'mark=none' is now equivalent with 'mark=' (disables plot marks).
	The previous behavior was to issue \pgfuseplotmark{none} which is
	equivalent to \relax (and wastes time).

2008-12-03 Till Tantau <tantau@users.sourceforge.net>

	- Changed exp function code in
	  pgfmathfunctions.basic.code.tex. It is now *much* more
	  precise for negative values and also more precise for
	  positive values.

2008-11-28 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- optimized \pgfmathfloattofixed for speed (although it introduces
	redundand zeros)
	- Added '/pgf/image/include external' command key as public interface 
	to modify the '\includegraphics' command in image externalization routines.

2008-11-24 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- fixed bug with |overlay| option and matrizes: now, cell pictures won't 
	collapse any more if the matrix has |overlay| enabled. However, the
	matrix' bounding box won't contribute to the image as desired.

2008-11-23 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- added support for active '!' characters (for example in blue!30!black
	and french babel setting)
	- modified processing of 'domain' option: the argument is '\edef'ed such
	that any potentially active ':' characters will be expanded to non-active
	ones (avoiding errors in the following processing).

2008-11-13 Till Tantau <tantau@users.sourceforge.net>

	- Fixed \pgfnodealias bug that caused chains to fail in matrices.

2008-10-30 Till Tantau <tantau@users.sourceforge.net>

	- Added shading library, mainly containing the new color wheel
	shading donated by Ken Starks.

2008-10-27 Mark Wibrow <vibrovski@users.sourceforge.net>

	- More fixes for insertion of spaces.

2008-10-27 Till Tantau <tantau@users.sourceforge.net>

	- Added square arrow send by
	  gvtjongahung@users.sourceforge.net.
	- Changed pgfutil-context.def so that driver detection should
	  work once more.

2008-10-27 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fixed insertion of space when parsing exponents.

2008-10-23 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added int truncation to floating point unit.

2008-10-22 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added abs, abserror and relerror to floating point unit.

2008-10-21 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added sqrt for floating point unit, built on top of pgfmathsqrt.

2008-10-09 Till Tantau <tantau@users.sourceforge.net>

	- Fixed the wrong lengths of support vectors for circles. Used to
	  be 0.555 (found by trial and error), while the correct value
	  is 4/3*(sqrt(2)-1) = 0.5522847, which gives much better
	  circles.
	  Thanks to Ken Starks for point this out.

2008-10-07 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fixed rounded rectangle right arc bug.

2008-10-06 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Fixed missing treatment of 'assume math mode' in \pgfmathprintnumber'

2008-10-05 Till Tantau <tantau@users.sourceforge.net>

	- Fixed missing switching off of auto anchors in positioning
	  library. 

2008-10-01 Till Tantau <tantau@tcs.uni-luebeck.de>

	- Fixed matrix/pdfsync incompatibility.

2008-09-30 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fixed some parsing bugs with arrays.
	- Fix for parsing of arrays in TikZ coordinates. 

2008-09-25 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Added number formatting option 'min exponent for 1000 sep'.

2008-09-21 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fixed bug in math parser which inserted spaces into text
	  or picture.

2008-09-17 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added number formatting style 'sci superscript'
	Example: formats the number 42 as 4.2^1 instead of 4.2 \cdot 10^1

2008-09-15 Till Tantau <tantau@users.sourceforge.net>

	- Fixed bug "TikZ, the shadow library and ConTeXt MKIV
	  (LuaTeX)". 
	
2008-09-14 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fixed bug #2105132 for rounded rectangle.
	- Fixed bug #2044129 for chamfered rectangle.
	
2008-09-12 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added \pgfpathcurvebetweentime.

2008-09-10 Till Tantau <tantau@users.sourceforge.net>

	- Fixed problem with nodes on a line inside a picture that is
	  inside a node of another picture. Pictures will now always
	  start with "pos=.5" set.

2008-09-07 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Slight hack of decorations so that the input path can consist of a
	  single move to. This enables stuff like 
	  \path [decoration={some decoration}, decorate] (4,5);

2008-09-03 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- fixed small bug related to '@dec sep mark' and not-a-number in number
	formatting routines.

2008-09-03 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Solutions for path intersections can now be sorted along either path.
	- \pgfintersectionsolutions is now a macro, not a count register.

2008-08-31 Mark Wibrow <vibrovski@users.sourceforge.net>
	
	- fix for ``Missing character...' warnings in logfile when using 
	  foreach.
	- removed `trim integers' option from foreach as int function 
	  can now be used.

2008-08-31 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Rewrote math parser. Anyone who relies on, or has hacked internal 
	  parser or function macros, or has defined their own functions for
	  the parser will need to reconsult the code and/or documentation. 
	- Files for functions definitions split (possibly permanantly) into 
	  different files.
	- Scaling of results at the end of the parse is no longer the default 
	  action. This doesn't break PGF or TikZ, but it may break user code
	  that depended on this scaling. To turn it back on use 
	  \let\pgfmathpostparse=\pgfmathscaleresult. 
	- Modifying existing functions or creating new functions must now be
	  done using \pgfmathdeclarefunction and \pgfmathredeclarefunction.
	- Single argument functions do not need parentheses, provided the
	  funtion is followed by a space, so sin 60 is the same as sin(60).
	  But! Functions have the highest precedence, so sin 60*\x is the 
	  same as sin(60)*\x.
	- Added {} operators for array specification and [] operators for 
	  array access - see docs for details.
	- added postfix ! factorial operator.
	- added c++/java style conditional e.g., \x > 10 ? 13 : 20.
	- added >=, <=, !=, prefix !, &&, || operators.
	- added atan2, log10, log2, e, int and frac functions.
	- adapted cosh, sinh and tanh from Martin Heller.
	- added lua-style random function for generating random integers.
	- added Mod function (note capital letter). Uses floored division
	  and is never negative.
	- min, max, veclen and pow can now be nested in any argument 
	  position.
	- min and max can now take a variable number of arguments.
	- For compatability \pgfmathmax and \pgfmathmin still take two 
	  arguments (although these can contain comma separated expressions). 
	  However \pgfmathmin@ and \pgfmathmax@ now only take
	  one argument in the form \pgfmathmin@{{1}{2}{3}{4}{5}} (for 5 
	  arguments).
	- added hex, Hex, bin, and oct functions. These functions will not
		work properly if the post-parse scaling is turned back on.
	- 0 prefix for integers now specifies an octal number which is 
	  automatically converted to base 10.
	- 0x or 0X prefix for integers now specifies a hexadecimal number, 
	  which is automatically converted to base 10. 
	- 0b or 0B prefix for integers now specifies a binary number, 
	  which is automatically converted to base 10.
	- "" characters turn off parsing (!) for part of an expression.
	- added width, height, and depth functions for text e.g., 
	  width("Some text"), but as an expression is \edef'ed before
	  parsing other commands will have to be `protected' e.g.,
	  width("\noexpand\Huge Some text").
	- bugfix for tan and cot. 

2008-08-27 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added '/tikz/external/export={true,false}' key for externalization
	library.

2008-08-05 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added documentation for basic layer externalization and baseline option.

2008-07-28 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added 'showpos' key to number printing (and alias 'print sign').

2008-07-22 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- fixed typo in pgfmathfloat.code.tex
	- added 'optimize command away=\macro' key to externalization library. It
	allows to discard unnecessary and possibly expensive user macros during
	export (unnecessary = not in selected picture).

2008-07-18 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Fixed bug in system layer path collecting. Very long paths
	are now processed more efficiently (the bug disabled an optimization).

2008-07-14 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added "marker" positions into the output of number formatting routines
	to find period positions (even if no period is typeset) and exponent
	positions. Allows alignment within auxiliary routines.

2008-07-14 Till Tantau <tantau@users.sourceforge.net>

	- Fixed dash phase bug.
	- Fixed missing library include in automata lib.
	- Added "align" option. "text ragged" and friends are now
	  deprecated. Text width need no longer not, but can, be
	  specified. The following now has the expected effect: \node
	  [draw,align=center] {Hello\\world.}; 

2008-07-10 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added \pgfqpointxy and \pgfqpointxyz to complement the "quick" point
	commands in basic layer.

2008-07-09 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added 'every mark' style.
	- 'mark options' simply overwrites 'every mark' (consistent with its old
	definition)

2008-07-07 Till Tantau <tantau@users.sourceforge.net>

	- Finished circuit library and documentation (well, some
	  shapes still missing, but that's something users should
	  contribute). 

2008-07-01 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- the external library now handles active double quotes ",
	  single quotes ', and active semicolons ';' in its system call
	  correctly. Furthermore, \\ will expand to a normal
	  backslash. The initial system call now uses double quotes
	  for indows compatibility, it also contains the shell-escape
	  feature for gnuplot invocations.

2008-06-30 Till Tantau <tantau@users.sourceforge.net>

	- Did some documentation of circuit lib.
	- Removed the separated documentation of the intersection
	  library and made this documentation part of the main
	  documentation. 
	- The intersection cs is now deprecated, the documentation
	  is now only based on the intersection lib. 
	- Added a "by" option so that "name intersections={of=A and
	  B,by={c,d,e}}" will create an alias c for intersection-1, d
	  for intersection-2 and e for intersection-3.
	- Renamed "path name" to "name path" in the intersection
	  lib. This is more consistent with "name intersections".

2008-06-29 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Minor changes on float stuff, wrote pgfmathfloatmultiply and
	  pgfmathfloatdivide on top of pgfmathmultiply and pgfmathdivide

2008-06-29 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added `Fixed Point Arithmetic' library, which provides
	  a parsing interface to the fp package. Dealing with plotting
	  files still a bit crude. 
	- This library means the manual now requires the fp pacakge 
	  to compile.
	- Fixed floor function for negative numbers.
	- Fixed \pgfmathsetseed.
	- Font and group fix for external documentation.

2008-06-27 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Complete change of TikZ intersections (PGF unchanged).
	- Slight hack of the TikZ scopes library to permit local
	  path naming. Should work...
    
2008-06-26 Till Tantau <tantau@users.sourceforge.net>

	- Continued with circuit library.
	- Introduced subdirectories inside the pgf library
	  directory and moved libs into them.
	  You may need to update your checkout.

2008-06-26 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- The external library now typesets as horizontal material by issueing
	  \leavevmode. This fixes an inconsistency with the normal tikzpictures.

2008-06-25 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added intersection library + documentation for 
	  intersecting ``named'' paths.
  
2008-06-25 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Fixed bug in external library. Now, strings like '#1' occuring 
	  somewhere in an image is collected correctly.

2008-06-24 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Removed new intersection stuff. Need to restart from scratch...

2008-06-23 Till Tantau <tantau@users.sourceforge.net>

	- Started working on circuit library documentation.

2008-06-23 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added PGF code and docs for intersections of two curves and 
	  intersections of a line and a curve.
	- Fixed bug in foreach code when registers are used with dots
	  statement.
			  
2008-06-22 Till Tantau <tantau@users.sourceforge.net>

	- Created first version of circuit libraries for electrical
	  engineering (circuits.ee.*). 
	- Added libraries so that ee circuits and logical circuits can
	  be accessed using the same interface. (circuits.logic.*)
	- The tikz lib shapes.gates.logic.* will no
	  longer be needed, the circuits.logic.* will replace them. (The
	  pgf libs shapes.gates.* are still used as before, however.)
	- Minor patch in shapes.gates.logic.US so that the .0 and .180
	  anchors of a not gate or a buffer gate are the same as the
	  input or output anchors.
	- All this is not documented, yet.
	- Worked some more on dv stuff, but nothing to "show", yet.

2008-06-21 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fixed parsing bug in foreach code.
	- Added "rotate fit" key to fit library, so (e.g.) a rotated 
	  rectangle can be fitted around nodes/coordinates.

2008-06-21 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Added documentation for tikz 'external' library.
	- created pgfexternalwithdepth.tex file to use the 'baseline' information.
	- improved some issues of the external library.
	- Added '/pgf/images/draft' option
	- Modified implementation of draft images to show the image file name
	instead of the internal image name

2008-06-19 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Added tikz library 'external' which allows automatic or semiautomatic 
	  export of each tikzpicture to pdf. Documentation is not yet ready.
	- Added self-contained latex package tikzexternal.sty to read those images
	  without tikz/pgf installed.
	- Added support for the 'baseline' option in \beginpgfgraphicnamed ... \endpgfgraphicnamed
	  by storing the box depth into a separate file.

2008-06-19 Till Tantau <tantau@users.sourceforge.net>

	- Added first ideas for a circuit library.
	- Bugfixes in scoping behaviour.
	- Changed scoping rules for to path operation: Options are now
	  local. This may break existing code, but is much more
	  consistent with everything else and removes other problems. 
	- Patched mindmap lib to account for these changed rules.
	- Added insert path option.
	- Deprecated "after node path". Use "append after command" and
	  "prefix after command" instead.
	- Moved datavisualization libraries to separate subdirectory.

2008-06-18 Till Tantau <tantau@users.sourceforge.net>

	- Changed label and pin options once again, to allow more
	  flexibility. In particular, the angle can now be
	  omitted. Also, for rotated main nodes the anchors are now
	  chosen in more sensible ways.

2008-06-16 Till Tantau <tantau@users.sourceforge.net>

	- Added tiny little turtle graphics library for fun.
	- Changed scoping rules for \foreach statement on a path: the
	  last coordinate is now persistent not only after the foreach
	  statement, but also between different iterations.
	- Changed positioning of "label" when you attach a label to a
	  transformed shape. The position is now absolute with respect
	  to the page, unless the "transform shape" option is used.
	
2008-06-11 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fixed the bug fix for character checking in foreach.
	- Updates and fixes for new foreach code.

2008-06-13 Till Tantau <tantau@users.sourceforge.net>

	- Fixed bug in new \foreach stuff that causes an error on
	  things like \foreach \i in {1,...,\foo}. If a list element
	  is a macro, no is-it-a-character check is done.

2008-06-11 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Checked in proposed \foreach extensions. Possibly the
	  extensions would be better contained in a pgflibrary...
	- list items can now be evaluated.
	- dots replacement is context sensitive.
	- sequences indicated by dots can be character sequences.
	- a list item can be ``remembered'' in the next iteration.
	- access to the number of the current item in the list is
	  provided. 

2008-06-09 Till Tantau <tantau@users.sourceforge.net>

	- Worked a bit on data visualization stuff.
	
2008-06-07 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Added '/pgf/number format/1000 sep' and 'dec sep' shortcut 
	  styles which simply call 'set thousands separator' and 'set 
	  decimal separator'. Those option are somewhat long...

2008-06-06 Till Tantau <tantau@users.sourceforge.net>

	- Fixed the "local bounding box" option so that it honors the
	  "relevant for picture size"-if.
	
2008-06-04 Till Tantau <tantau@users.sourceforge.net>

	- Fixed buggy "mid left" and "mid right" options.
	- Added "between positions" option to the "mark" option. This
	  makes it possible to create paths with "repeated arrows along
	  the path". This did not work before.

2008-06-03 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Added '/pgf/number format/assume math mode' to disable math checks. 
	  This allows to assemble tabulars, apply \pgfmathprintnumber to each cell
	  and use the dcolumn package to align at decimal separators (no
	  documentation for that feature yet)

2008-06-02 Till Tantau <tantau@users.sourceforge.net>

	- Fixed pgfpages in conjunction with everyshi.

2008-05-31 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- Semantics of |/pgf/number format/fixed zerofill| changed: it now simply
	  sets a boolean which affects all numbers in fixed format; it does not
	  SET fixed format. The same holds for sci zerofill.

2008-05-30 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Provided \pgfmathprintnumberto macro in addition to
	  \pgfmathprintnumber.

2008-05-22 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Revised Lindenmayer system stuff. Documentation should 
	  now be up to date.

2008-05-22 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Added 'xbar interval' and 'ybar interval' plot handlers.
	- Moved plot handler options to /pgf key tree.
	- added 'bar shift' option.
	- bar width option is now evaluated when needed.
	- Added documentation for plot handler library changes and for tikz-plot
	  interfaces.
	- Modified pgf manual macros: codeexamples section now employs pgfkeys,
	  xkeyval no longer required. Introduced style 'every codeexample' to
	  maintain compatibility and allow customization for users.

2008-05-21 Till Tantau <tantau@users.sourceforge.net>

	- Added missing documentation of moveto-decoration.

2008-05-20 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Changed the processing of \pgflsystemstep. Now a TeX
	  dimension, it permits a symbol to shorten the step.

2008-05-19 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added Lindemayer system drawing library.
	- Renamed the ranomization keys for the step and angle.
	- Updated the L-system docs.

2008-05-19 Till Tantau <tantau@users.sourceforge.net>

	- Added documentation of oo-subsystem.
	- Started documentation of data visualization-subsystem.
	- Fixed hyperlink problem in dvipdfm(x)/xetex.
	- Fixed typos in Lindemayer system doc.

2008-05-17 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Added \pgfmathfloatadd, \pgfmathfloatsubtract and
	\pgfmathfloatmultiplyfixed based on pgf's normal math parser
	- Added tests for float arithmetics
	- Added \pgfmathfloattoextentedprecision for 8-digit mantisse precision
	- Added documentation for these methods
	- Added basic layer input stream methods to set zero levels for [xy]comb/[xy]bar;
	allows to start bars at different offsets than x=0 / y=0.
	- Added documentation for zero level streams.

2008-05-15 Till Tantau <tantau@users.sourceforge.net>

	- Added "path picture" option, mostly for the implementation
	  of the corrected mindmap connecting bars.
	- Fixed buggy code of mindmap connect bars: Shading angles
	  where sometimes wrong and shading was sometimes at the wrong
	  position.  

2008-05-14 Till Tantau <tantau@users.sourceforge.net>

	- Completely rewrote management of pdf resources. This affects
	  pdftex, dvipdfm, dvipdfmx and xetex backends and all front
	  ends. They should now all work together in harmony, as far
	  as this is supported by them.
	- Completely rewrote driver detection in plain and context
	  mode. 
	- dvipdfmx and xetex now use \special{pdf:literal direct},
	  which can *considerably* reduce file sizes (up to a factor
	  of 2).

2008-05-14 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fixed compatability issue with old calc code.
	
2008-05-13 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- documented '.lasttry' key handler
	- introduced documentation for key filtering routines (as \input section
	in pgfmanual-en-pgfkeys.tex). Main section of pgfkeys not really updated
	yet; I only removed the 'family limitation' item in the introduction.

2008-05-11 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Multiple fixes for signal shape.

2008-05-03 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- added \pgfplotbarwidth and docs
	- used \pgfmathparse to assign \pgfsetplotbarwidth
	- added 'const plot mark right' to plot handler library to complete the
	different variants of left/right connected/jump handlers.

2008-05-01 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fixed parser for expressions that begin and end with braces.

2008-04-27 Christian Feuersaenger <ludewich@users.sourceforge.net>
	
	- Added \pgfmathapproxequalto operation and documentation below
	\pgfmathequalto
	- Added some user-interface methods to floating point arithmetics
	- Added options
		/pgf/number format/set decimal separator
		/pgf/number format/set thousands separator
		/pgf/number format/skip 0.
	- Added documentation for floating point arithmetics
	- Added documentation for number printing

2008-04-26 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Added PGF plot handlers to plot handler library:
		- \pgfplothandlerxbar
		- \pgfplothandlerybar
	  with parameter \pgfsetplotbarwidth{} and
	    - \pgfplothandlerconstantlineto
		- \pgfplothandlerjumpmarkleft
		- \pgfplothandlerjumpmarkright
	- Added Tikz-Plot handlers
		- /tikz/xbar
		- /tikz/ybar
	  with option '/tikz/bar width' and
		- /tikz/const plot
		- /tikz/jump mark left
		- /tikz/jump mark right
	- Added documentation for new plot handlers to Tikz- and plot handler
	section in manual

2008-04-23 Till Tantau <tantau@users.sourceforge.net>

	- Documented changed double line handling.
	- Made some arrow tips work with double lines.

2008-04-22 Till Tantau <tantau@users.sourceforge.net>

	- Added (not yet documented) "inner lines", which move the
	  double line mechanism from tikz to the basic layer. This
	  allows the definition of special arrow tips for double lines.
	- Added (not yet documented) new arrow tip "implies" using
	  this mechanism.

2008-04-21 Mark Wibrow <vibrovski@users.sourceforge.net>
	
	- New version of rectangle split shape. Now supports horizontal
	  as well as vertical spliting. Also supports up to 20 parts. 

2008-04-17 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Added pgfkeysfiltered.code.tex which provides key filtering
	  and provides key-selection utilities like xkeyvals families
	- changed pgfkeys.code.tex to '\input' pgfkeysfiltered.code.tex

2008-04-14 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Added \tikzaddtikzonlycommandshortcutlet and
	  \tikzaddtikzonlycommandshortcutdef to install shortcut commands at the
	  beginning of tikzpicture.
	- pgfkeys.code.tex: fixed incompatibility .try with .is choice

2008-04-10 Till Tantau <tantau@users.sourceforge.net>

	- Fixed patterns in dvips mode (were broken).
	
2008-04-03 Till Tantau <tantau@users.sourceforge.net>
	
	- Switched to everyshi in latex mode to hack into
	  \shipout. Wrote direct code to hack into \shipout in plain
	  mode. Hacking into \shipout in Context is still unclear.
	- Added space arrow.
	
2008-4-02 Mark Wibrow <vibrovski@users.sourceforge.net>
	
	- Reimplemented parsing of operands. 

2008-04-01 Till Tantau <tantau@users.sourceforge.net>

	- Added cirlce solidus shape by Manuel Lacruz.

2008-03-19 Mark Wibrow <vibrovski@users.sourceforge.net>
	
	- `curve control points' decoration no longer exists. It is 
	  replaced by the `show path construction' decoration.
	- added code + docs for defining changable patterns.
	- Parser altered to access \pgfmathfloatparsenumber when 
	  \ifpgfmathfloat is true (old interface to \pgfmathfloat deleted).

2008-03-18 Christian Feuersaenger <ludewich@users.sourceforge.net>

	- Added generic/pgf/math/pgfmathfloat.code.tex
	- Modified pgfmath.code.tex to include pgfmathfloat.code.tex
	- Added generic/pgf/testsuite/mathtest/pgfmathtestsuite.tex [dvipdfm/pdflatex]
	  which provides testing for pgfmathfloat.code.tex

2008-03-17 Till Tantau <tantau@users.sourceforge.net>

	- Fixed minimum width handling in rounded rectangle shape. 

2008-03-12 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added key for rectangle split to ignore empty parts.
	- Extended \pgfshadecolortorgb to define macros for the
	  individual color components.

2008-03-08 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added `curve control points' decoration for drawing
	  curve controls. NB: names/keys may change.

2008-03-07 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fix for (some) `hidden' bugs: ``Missing character: 
	  There is no <char> in font nullfont!''. This is usually
	  only seen in log file. Fixed for star, circular sector
	  and math macros.

2008-03-03 Till Tantau <tantau@users.sourceforge.net>

	- Fixed documentation "placment" replaced by "positioning"
	- Fixed ConTeXt page resource problem. (ConTeXt support is
	  still not as smooth as support of other formats)
	- Checked in some data visualization stuff, without any
	  documentation. Everything still likely to change
	  completely. 
	- Moved module management to pgfutil.
	- Added support for simple oo-programming, not documented. 

2008-02-26 Till Tantau <tantau@users.sourceforge.net>

	- Fixed bug in pgfkeysaddvalue.
	- Fixed bug of stack leak in function shadings in postscript.
	- Fixed missing image inclusion documentation.
	- Fixed atan bug in documentation example.
	- Fixed missing dependency of chains--positioning library
	- Fixed missing dependency of mindmap--decorations library

2008-02-20 Till Tantau <tantau@users.sourceforge.net>

	Released version 2.00

2008-02-14 Till Tantau <tantau@users.sourceforge.net>

	- Fixed "initial"/"accepting" distance bug.
	- Fixed wrong intersection computation bug.
	
2008-02-13 Till Tantau <tantau@users.sourceforge.net>

	- Added "local bounding box" option for Fabien...

2008-02-12 Till Tantau <tantau@users.sourceforge.net>

	- Finished chains and chain tutorial.
	- Fixed height of rounded rectangle shape.
	
2008-02-11 Till Tantau <tantau@users.sourceforge.net>

	- Added "auto end on length" and "auto corner on length"
	  options to decorations.
	- Added "if input segment is closepath" option to
	  decorations. 
	- Renamed "subpath" in decoration code to "inputsegment". In
	  the pdf-specification (and in the rest of the pgf manual) a
	  path is made up of subpath, which are started by movetos,
	  and these in turn are made up of segments. In decorations,
	  segments used to be called subpaths, which was too
	  confusing... 
	- More renaming in chains, but its stabilizing now.
	- Started a tutorial on chains.
	
2008-02-10 Till Tantau <tantau@users.sourceforge.net>

	- Moved chain part inside "positioning" into "chains"
	  library. 
	- Renamed things in the chains library, yet again and added
	  branches.
	- Fixed bug with "xyz of" placements.

2008-02-08 Till Tantau <tantau@users.sourceforge.net>

	- Renamed "placements" library to "positioning".
	- Renamed and changed all chain commands.
	- Added scopes library.
	- Renamed cap and join to line cap and line join (but old ones
	  are still available).

2008-02-07 Till Tantau <tantau@users.sourceforge.net>

	- Patched Makefiles according to suggestion by Hans Meine.
	- Fixed bug: duplicate fading name in pgflibraryfadings.
	- Fixed bug: wrong size of functional shading in dvips.
	- Fixed bud: documentation a4paper setting.
	- Fixed bug: Manual now compiles with tex4ht once more.
	- Fixed bug: Manual now is hyperlinked also for dvipdfm.
	- Fixed bug: wrong size of all shadings in svg code.
	- Slight change in placement lib, default chain now has a
	  name. 

2008-02-07 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Removed internal asin tables as asin is now calculated from 
	  acos tables.
	- Misc. updates for shapes docs.


2008-02-06 Till Tantau <tantau@users.sourceforge.net>

	- Changed fit library, so that nodes are now "completely"
	  fitted. 
	- Changed tutorial so that fit library is now used.
	- Added placement library and documentation.

2008-02-05 Till Tantau <tantau@users.sourceforge.net>

	- Fixes in snake compatibility code.
	- Added dvipdfmx support (identical to dvipdfm).
	- Fixed missing braces and color stack problem in
	  shapes.logic.IEC. 

2008-02-04 Till Tantau <tantau@users.sourceforge.net>

	- Patched (and hopefully fixed) hyperref support.
	- Made matrix inversion more precise.
	- Added tutorial for geometric constructions.
	- Fixed partway and intersection computations.
	- Added line to circle intersection.

2008-02-03 Till Tantau <tantau@users.sourceforge.net>
	
	- Added through library (still very simple...).
	- Added computation of intersection of circles and tangent to
	  a circle.

2008-01-31 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Updated isosceles triangle shape. Positioning of node
	  contents improved. Added key so minimum width and height
	  can be applied independently
	- Fix for trapezium shape for minimum height. This fix may
	  ``break'' exisiting code by making any trapezium enlarged using
	  minimum height to appear slightly wider than before. But...
	- Added keys for trapezium so that minimum width and height
	  can be applied independently, or to just the `body' of the
	  trapezium. 

2008-01-30 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Reimplemented shape `tape'. Anchors should behave a bit
	  better now.

2008-01-29 Till Tantau <tantau@users.sourceforge.net>

	- Fixed problem with pin a relative coordinates.

2008-01-27 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added `logic gate IEC symbol color` key to change color
	  for all symbols simultaneously.
	- Fix for loading US and IEC shape library separately.
	- Misc. updates for decoration docs.

2008-01-26 Till Tantau <tantau@users.sourceforge.net>

	- Modified calc library. Working on documentation.
	- Added calc library and ($...$) notation for coordinates.

2008-01-25 Mark Wibrow <vibrovski@users.sourceforge.net>
	
	- Reorganised logic shapes. Now two libraries:
	  shapes.gates.logic.US (for `American' gates) and 
	  shapes.gates.logic.IEC (for rectangular gates).
	  Gates are now named `and gate US' or `and gate IEC' etc.
	  TikZ key `use US style logic gates' and `use IEC style
	  logic gates' set up styles so that (e.g.) `and gate' 
	  becomes a synonym for `shape=and gate US'. See docs for
	  details.

2008-01-23 Till Tantau <tantau@users.sourceforge.net>

	- Added decorations.markings.

2008-01-22 Till Tantau <tantau@users.sourceforge.net>

	- Fixed pgfpatharc: Fractional angles are now handled
	  correctly. 
	- Fixed incompatability with bm package: Changed hack to
	  \@@end to \AtEndDocument.
	- Changed things in the math engine to speed up things: First,
	  \pgfmath@returnone now uses simpler and faster code. Second,
	  some marshals in the internal math commands like
	  \pgfmathadd@ have been removed. This makes it necessary that
	  the second operand in a call to an internal math macro no
	  longer uses \pgf@x or \pgf@xa and I fixed the 3 places where
	  this was the case.
	- Added footprint decoration and merged Marks footprints.
	- Added buffering to the subpath mechanism. This speeds up
	  constructions of very long paths by a factor of 10 or more. 
	- Fixed missing declaration of \iftikz@decoratepath in
	  tikz.code.tex. 

2008-01-22 Mark Wibrow <vibrovski@users.sourceforge.net>
	
	- Added logic shapes library. Includes AND gate, NAND gate,
	  OR gate, NOR gate, XOR gate, XNOR gate and NOT gate.

2008-01-22 Till Tantau <tantau@users.sourceforge.net>

	- Fooled around with title page.
	- Changed TikZ path scoping rules: Scopes no longer affect the
	  last point on a path. This was a nuiseance before and became
	  a real problem with decorations.
	- Finished my move from snakes to decorations. Also finished
	  documentation. 
	  We are now ready for a new release!
	
2008-01-19 Mark Wibrow <vibrovski@users.sourceforge.net>
	
	- Removed \externalcode command for decoration states as
	  persistent pre/postcomputation stuff does a similar job.	  

2008-01-18 Mark Wibrow <vibrovski@users.sourceforge.net>
	
	- Added \externalcode command for decoration states. Allows
	  code to be executed outside the TeX-group the state code
	  is executed in.

2008-01-17 Till Tantau <tantau@users.sourceforge.net>

	- Split decoration lib into several libs. 
	- Renamed lineto decoration to curveto decoration.
	- Renamed many keys of decorations and snakes to shorter
	  names.
	- Changed the tikz setting of decoration options.
	- No documentation yet.

2008-01-17 Till Tantau <tantau@users.sourceforge.net>

	- Started merging snakes and decorations. Not yet finished.

2008-01-16 Till Tantau <tantau@users.sourceforge.net>

	- (Partly) rewrote the tikz support for decorations. There is
	  now a "decorate" path command:
	  \draw ... decorate [decoration=zigzag] { (0,0) -- (1,2) };
          This yields a much cleaner interface.
	- There is also a decorate=true/false option that causes the
	  whole path to be decorated.
	- Decorated path can now contain nodes.
	- Node paths can also be decorated now.
	- Fixed missing \pgftransformreset inside decoration
	  environment. 
	
2008-01-15 Till Tantau <tantau@users.sourceforge.net>

	- Changed the decoration documentation a bit. Still not quite
  	  perfect... 
	- Restructured the basic layer. There is a central core (which
	  got slightly larger) and "modules", which can be included
	  using \usepgfmodule. All the pgfbaseXXX files are now
	  obsolete and only included for the old ones for
	  compatibility.
	  The {pgf} package no longer includes the modules "pattern",
	  "snakes" and "decorations" by default. However, these
	  modules are loaded by their respective libraries, so,
	  normally, no one will notice.	
	
2008-01-15 Mark Wibrow <vibrovski@users.sourceforge.net>
	
	- Fix for minimum size in ellipse split shape.
	- Added decorations documentation.

2008-01-14 Till Tantau <tantau@users.sourceforge.net>

	- Coordinates like (2,3cm) are now allowed. Has the same
	  effect as ([shift={(2,0)}]0pt,3cm), which is what everybody
	  would expect.
	- Moved tikz hacks inside tikzlibrarydecorations into
	  tikz.code.tex itself.

2008-01-14 Mark Wibrow <vibrovski@users.sourceforge.net>
	
	- Fix for save stack overflow in decorations.
	- Renamed \pgfdecorate \endpgfdecorate, now \pgfdecoration
	  \endpgfdecoration. Makes it more consistent with...
	- Meta decorations! Automata that decorate the path with
	  decoration automata! Increased fancyness! Docs soon.
	- Removed a bunch of keys from \tikzlibrarydecorations as
	  not really necessary.	

2008-01-13 Till tantau <tantau@users.sourceforge.net>

	- Changed shadow lib once more and added it to CVS.

2008-01-13 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added decorations files. Docs to follow soon(ish).
	- Fix for `star point ratio' and `star point height'
	  keys in star shape.

2008-01-11 Till Tantau <tantau@users.sourceforge.net>
	
	- Added copy shadow.

2008-01-10 Till Tantau <tantau@users.sourceforge.net>

	- Added random steps snake.
	
2008-01-09 Till Tantau <tantau@users.sourceforge.net>

	- Added shadow library, removed shadow shapes (no longer
	  needed).
	- Added preaction and postaction options (very useful).
	- Added transform canvas option.
	- Added scale around option.
	- Moved tikz.code.tex to tikz/tikz.code.tex
	- Moved .../libraries/pgflibrarytikzXXXX.code.tex to
	  .../frontendlayer/tikz/libraries/tikzlibraryXXXX.code.tex.

2007-12-20 Till Tantau <tantau@users.sourceforge.net>

	- Fixed missing example bbs for dvipdfm.
	- Fixed buggy swirl shading.
	- Finished documentation switch from \itemoption to {key}.
	- Changed TikZ fading options. More consistent and easier to use,
	  now. 

2007-12-20 Mark Wibrow <vibrovski@users.sourceforge.net>
	- Added `ellipse split' shape.

2007-12-17 Till Tantau <tantau@users.sourceforge.net>

	- Fixed spaces problem with external graphics.
	- Added [missing] option to supress children.
	- Reduced number of libs includes by {shapes} to geometric,
	  misc and symbol. Shapes is now more or less deprecated.
	- Added shadowed shapes.
	- Added pgfsys-xetex for native xetex support.
	- Added documentation hint on scoping inside \foreach.
	- Fixed bug [1620194] "tikz library mindmap requires trees"
	- Fixed bug [1787504] "Usage of \@namelet in xxcolor.sty clases with memoir."
	- Fixed bug [1809693] "background rectangle is scaled".
	
2007-12-13 Till Tantau <tantau@users.sourceforge.net>

	- Added fadings.
	- Added functional shadings.
	- Fixed bug in double drawing with arrows.

2007-11-24 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fix for all math functions with two arguments.
	- Fix for tikz when y-coordinate is a function within braces.
	- Fix for distance calculation in shape snake.
	- Added `cloud callout' shape.
	- cloud shape can now use (or ignore) `aspect' key.
	- More key updates/fixes for shapes.
	
2007-11-23 Till Tantau <tantau@users.sourceforge.net>
	
	- Corrected minimum size of a diamond shape (was twice the
	  correct size -- this may break existing code, but that cannot
	  be avoided!).
	- Changed some more documentation from \itemoption to {key}s. Not
 	  yet finished.
	
2007-11-19 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Updated math documentation. Code examples now consistent with
	  the rest of the manual.

2007-11-12 Till Tantau <tantau@users.sourceforge.net>
	
	- Fixed hyperref-dvipdfm-problem.
	
2007-11-10 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Updated cloud shape for minimum size calculations.
	- Reimplemented rounded rectangle. Now supports concave arcs.
	- Removed all stuff for Fancy hyperlinked picture of shapes.

2007-11-07 Till Tantau <tantau@users.sourceforge.net>
	
	- \foreach will now allow a macro name to be given as list
	  argument (as in \foreach \x in \mylist {...})
	
2007-10-29 Till Tantau <tantau@users.sourceforge.net>

	- Fixed keys problem when .try is used with a comma.
	
2007-10-28 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fixed shape snake for drawing to other pictures.
	- Added shapes `arrow box' shape, `rectangle callout` and 
	  `ellipse callout'.

2007-10-26 Till Tantau <tantau@users.sourceforge.net>

	- Fixed dvipdfm problem with hyperref.

2007-10-13 Mark Wibrow <vibrovski@users.sourceforge.net>

	- pgfbasesnakes: changed length calculation and added angle calculation.
	- added `shape snake' to snake library.
	- added cylinder shape to geometric shapes.
	- renamed `bevelled rectangle'. Now called `chamfered rectangle'.
	- renamed pgfsavepgf@process. Now called pgfextract@process. 

2007-10-12 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Fixed bug #1803811 gobbling of tokens after \pgfmathaddtocounter.
	- Fixed insertion of spaces after \pgfmath stuff.
	- Fixed bug #1811862.

2007-09-19 Mark Wibrow <vibrovski@users.sourceforge.net>

        - Fix for cot and tan. Now correctly return negative values.
        - Added `...head indent' option for single and doube arrow
          shapes (allows the arrowheads to look more `fancy').
        - Updated tikzshapes.geometric and tikzshapes.symbols so
          the incircle border construction can be used in TikZ
          if libraries are loaded separately.
        - Misc. fixes and updates for shapes doc.

2007-09-18  Mark Wibrow <vibrovski@users.sourceforge.net>

        - Fixed isosceles triangle, circular sector and circle split
          for `text width' key.
        - Fixed star, cloud and rectangle shape for using anchors for
          positioning.
        - New shapes:Rectangle split, rounded rectangle,
          bevelled rectangle, tape, signal, single arrow and double arrow.
        - Fancy hyperlinked picture of all shapes added to shape lib. doc.
        - Updated math doc.
        - Fix for square root.
        - Fix for parsing negative box dimensions.
        - (Yet another) division version.


2007-08-20  Mark Wibrow <vibrovski@users.sourceforge.net>
	- Added cloud shape.
	- Updated all shapes (and doc.) for pgfkeys.
	- Changed Kite key: Now use (e.g.) '/pgf/kite vertex angles=60 and 70' (see doc.)
	- Added keys /pgf/shape aspect and /pgf/shape aspect inverse, (but \pgfsetshapeaspect
	  and, TikZ option `apsect' are still there for compatability).
	- Updated diamond shape (and doc.) to use keys.
	-`Housekeeping' stuff (moved some macros around).


2007-08-10 Mark Wibrow <vibrovski@users.sourceforge.net>
  
	- Trapezium shape updated. No longer uses left and right 
	  extensions. Uses internal angles instead.
        - Updated pgfkeys for shapes (not done \pgfsetshapeaspect for
	  diamond shape)

2007-08-09 Mark Wibrow <vibrovski@users.sourceforge.net>
  
        - Added new starburst shape to misc shapes.
        - Updated all shapes to pgfkeys.

2007-08-08 Till Tantau <tantau@users.sourceforge.net>

	- Added fitting library.

2007-07-28 Mark Wibrow <vibrovski@users.sourceforge.net>
  
        - Fixed parser for expressions beginning with groups
          preceeded by signs e.g. -(4+3)
        - This also fixes problem in TikZ when specifiying coordinates
          contatining groups. Coordinates in the form (1, {(2+3)}) will
          work even if there are spaces after the comma.

2007-07-23 Till Tantau <tantau@users.sourceforge.net>

	- Started to use new pgfkeys also in pgf. In particular,
	  commands like \pgfsetshape... are now replaced by keys.
	  (Not yet finished.)
	
2007-07-21 Mark Wibrow <vibrovski@users.sourceforge.net>
  
	- Added new geometric shape: `circular sector'.
	- Updated pgfbaseshapes.code.tex for saved macro support.

2007-07-12 Till Tantau <tantau@users.sourceforge.net>

	- Added overlay functionality to \node.
	- Added pgfkeys and its documentation.

2007-07-10 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Updated all `new' geometric shapes: polygon, star, trapezium,
	  semicircle, isosceles triangle, kite, dart.
	- `isosceles triangle' and `simple isosceles triangle' combined
	  into one shape.
	- more accurate anchor positioning in polygon and star shapes.
	- Added `shape border uses incircle' option for supporting shapes.
	- Added `shape border rotate' option for supporting shapes.

2007-07-04 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added support for sec, cosec and cot.

2007-07-03 Till Tantau <tantau@users.sourceforge.net>

	- Fixed missing compatibility \pgfsincos
	- Fixed wrong \pgfmathsincos

2007-06-23 Mark Wibrow <vibrovski@users.sourceforge.net>

	- Added semicircle shape.
	- Updated documentation for all new shapes.

2007-06-22 Mark Wibrow <vibrovski@users.sourceforge.net>
  
	- Added support for savedmacros in \pgfdeclareshape.
	- Added trapezium shape.
	- Added support for `legacy' calc code (\real, \minof, \maxof, \ratio).
	- Fixed 'public' sqrt macro in \pgfmathoperations.code.tex
	- Added isosceles triangle shape: uses incircle, but supports arbitrary 
	  rotation of border.
	- Added simple isosceles triangle shape: much tighter fit of node 
	  contents, but restricted rotation of border.

2007-06-21 Till Tantau <tantau@users.sourceforge.net>

	- Fixed text width problem in matrix of nodes.

2007-01-18 Till Tantau <tantau@users.sourceforge.net>

	Version 1.18:

	- Added regular polygon and star shapes (by Mark Wibrow).
	- Added graphic externalization commands.
	- Added barycentric coordinate system.
	- Added direct TikZ plotting of function based on math engine.
	- Added math documentation into main documentation.
	- Added Mark Wibrow's math library. 
	- Added calendar support.
	- Added matrix stuff.
	- Added automatic driver selection for xetex.
	- Added "growth parent anchor" option.
	- Fixed superfluous spaces in quick math parse code
	- Fixed superfluous \newboxes in math and image code
	- Fixed mth parser to recognize \wd\mybox. 
	- Fixed wrong \pgfmathsetrandomseed
	- Fixed wrong \pgfmathradians@
	- Fixed problems with long mantissa and plain tex math code.
	- Fixed things so that \setlength works in pictures, once
	  more. 
	- Fixed selectfont problem in pdfsys-dvipdfm.def
	- Fixed problem with lost lastx/lasty in foreach in TikZ.
	- Fixed snake+rectangle+transform problem.
	- Fixed rectangle+rounded corner problem.
	- Fixed postscrip eofill1 problem.
	- Fixed amsmath/pgf clash because of wrong definition of \:
	- Fixed size of hyperlinks inside nodes.
	- Fixed ConTeXt problem in pgfbaseplot.
	- Fixed .aux problems in plain and ConTeXt mode. Using .pgf as
	  extension now.

2006-10-26 Till Tantau <tantau@users.sourceforge.net>

	Version 1.10:

	- Renamed \pgf@sys@pdf@mark to \pgfsyspdfmark.
	- Fixed the ConTeXt support so that it is usable (which is wasn't).
	
2006-10-11 Till Tantau <tantau@users.sourceforge.net>

	Version 1.09:

	- Added \usepgflibrary and \usetikzlibrary to simplify adding
	  new libraries.
	- Added native ConTeXt support in the form of module
	  wrappers.
	- Added patterns.
	- Added crosses snake.
	- Added to and edge path operations.
	- Added to path library. In particular, this gives decent
	  curved paths. 
	- Added tikz automata library.
	- Added tikz er diagram library.
	- Added tikz Petri net library.
	- Added tikz mindmap library.
	- Added access to nodes in other pictures (!).
	- Added extended baseline setting.
	- Added functionality to add new coordinate systems.
	- Added polar xy coordinate system.
	- Added diamond shape (!).
	- Added plot mark phase, repeat and indices.
	- Added text height and text depth options.
	- Added label and pin options.
	- Added automatic node placement (!). 
	- Added pgfsys-dvi.def for pure dvi mode. Supports only
	  black and white drawing (not documented and not really usable).
	- Added 3d library (not documented and not really usable).
	- Cleared up license chaos.
	- Reorganized library documentation.
	- Removed pgflibraryautomata, use pgflibrarytikzautomata instead.
	- Fixed tree level option bug.
	- Fixed missing options for coordinates.
	- Fixed bug in TikZ parabola code.
	- Fixed bug in TikZ snake cycle code.
	- Fixed bug with empty list in pgffor
	- Fixed bug in code for insertion of dvips header specials.
	- Fixed bug in shading code (wrong bigpoint correction).
	- Fixed bug #1472666.
	- Fixed bug #1473255.
	- Fixed bug #1526175.
	- Fixed bug #1542512.
	- Fixed bug in TikZ transformation code for nested pictures.
	- Fixed patch #1443606.
	- Fixed path #1526178.
	
2005-11-16 Till Tantau <tantau@users.sourceforge.net>

	Version 1.01:

	- Added textures support.
	- Added text opacity option.
	- Fixed bug in pgfbasesnakes.code.tex causing lot's of
	  'missing = in nullfont' message in log file.
	- Fixed bug that made plain tex mode unusable.
	- Fixed missing pgfsys-vtex.def in FILES.
	- Fixed wrong box placements in compatibility mode.
	- Fixed SVG support to create legal xml.
	- Moved documentation to doc/generic/pgf.

2005-10-23 Till Tantau <tantau@users.sourceforge.net>

	Version 1.00:

	- There have not been any real changes since 0.99.
	
	
2005-10-11 Till Tantau <tantau@users.sourceforge.net>

	Version 0.99:

	- Added vtex support (finally!).
	- Added multi part mechanism to nodes.
	- Added very simple pgflibraryautomata.
	- Changed coordinate shape such that it now never produces a
	  text label.
	- Renamed \pgfshapebox to \pgfnodeparttextbox (made necessary
	  by the node part mechanism).

2005-09-20 Till Tantau <tantau@users.sourceforge.net>

	Version 0.98:

	- Added transparency to PGF (quite nice...).
	- Added foreach option to child path operation (also nice...).
	- Fixed problem with \\ in centered text.
	- Fixed problem with hyperlinks in nodes.
	- Fixed wrong arrows in trees.

2005-09-08 Till Tantau <tantua@users.sourceforge.net>

	Version 0.97:

	- Reorganised directory structure of documentation.
	- Added tree mechanism.
	- Added snake mechanism.
	- Added layer mechanism.
	- Added new shapes: cross out, strike out, forbidden sign.
	- Added some more documentation.
	- Added "none" drawing and filling colors.
	- Added pgflibrarytikzbackgrounds.
	- Changed syntax of \pgfqbox.
	- Changed syntax of several \pgfsys@xxxx commands.
	- Added SVG support / a tex4ht backend. (Complicated text
  	  inside svg graphics is not supported well, but that's mainly
	  a shortcoming of the svg specification.)

2005-07-06 Till Tantau <tantau@users.sourceforge.net>

	Version 0.96:

	This is a beta version. Version 1.00 will be the first stable
	version of TikZ/pgf.
	
	- Fixed spacing problem in dvips.
	- Changed syntax of plot and plot marks.
	- Changed syntax of ellipse and elliptical arc options.
	- Fixed baseline bug in tikz.
	- Fixed bug in pgfpages.
	- Introduced "every xxxx" styles, got rid of shape actions option.
	- Added "intersection of" syntax for coordinates.
	- Started revising the documentation.
	- Changed names of some pgfpages commands.
	- Changed syntax of parabola command.
	- Proof read documentation.

2005-06-12 Till Tantau <tantau@users.sourceforge.net>

	Version 0.95:

	This is an *alpha* prerelease version. Syntax changes
	are still possible before the beta version. Version 1.00
	will be the stable version.

	Changes (this is almost a new program):
	- Introduced three layers: system, basic, frontends.
	- Wrote two frontends: TikZ (*most* useful!) and pgfpict2e (a
	  demonstration).
	- Largely rewrote the basic layer.
	- Largely rewrote the system layer.
	- Completely rewrote the documentation.
	- Added two utilities: pgfpages and pgffor.
	- Made macro naming more consistent.
	- Added plain tex support.
	- Added dvipdfm support.
	- Restructured directory structure.
	- Zillions of small bugfixes.
	
2004-10-20 Till Tantau <tantau@users.sourceforge.net>

	Version 0.65:
	- Fixed bug in pgfshade.sty that arises in conjunction with
	  calc.sty and latex+dvips.

2004-10-08 Till Tantau <tantau@users.sourceforge.net>

	Version 0.64:
	- Fixed missing depth of \pgfnodebox.
	- Fixed bug that caused infinite stack loop with pictures inside
	  nodes. 

2004-07-08 Till Tantau <tantau@users.sourceforge.net>

	Version 0.63:
	- Added \pgfextractx, \pgfextracty, \pgfcorner.
	- Added some documentation on masks and images.
	- Fixed a somewhat obscure bug having to do with the modification
	  of \spaceskip.
	- \pgfex and \pgfem no loner needed. Use 1ex etc. once more.
	- calc.sty is now supported.

2004-07-06 Till Tantau <tantau@users.sourceforge.net>

	Version 0.62:
	- Fixed problem in xxcolor with option "gray" and xcolor.
	- Switched to xcolor version 2.00.
	- Added eofill and eofillstroke commands.
	- Added option to shadings, so that they are automatically
	  recalculated upon color changes.
	- Changed names of example images to start with pgf.

2004-04-07 Till Tantau <tantau@cs.tu-berlin.de>

	Version 0.61:
	- Added \pgfex and \pgfem dimensions.
	- Fixed bug that causes pgfshade to fail to work if xcolor 
	  is called with option "gray".
	- Fixed PostScript code for radial shadings.
	- xxcolor now works with xcolor 1.10 (and only 1.10).

2004-02-18 Till Tantau <tantau@cs.tu-berlin.de>

	Version 0.60:
	- Replaced some commands for the postscript code by shorter
	  versions for smaller file size.
	- Fixed bug in pgfbox command that caused incorrect kerning in
	  postscript output.
	- Fixed bug in pgfsys@defineimage that made page inclusion
	  impossible. 
	- Fixed bug in pgfshading that did not reset dash patterns in
	  shadings in the PostScript version. 
	- Spaces are now allowed inside the pgfpicture environment.
	- Added \pgfgrid command.
	
2004-01-13 Till Tantau <tantau@cs.tu-berlin.de>

	Version 0.50:
	- Switched to version 1.06 of xcolor.
	- Core pgf no longer relies on xxcolor.
	- The syntax of the mechanism for choosing alternate images and
	  shadings is more flexible now. The syntax has been changed
	  (mainly, you now have to have a dot between the original name and
	  the alternate extension).
	- Some xxcolor commands have been removed.
	
2003-12-02 Till Tantau <tantau@cs.tu-berlin.de>

	Version 0.43:
	- Fixed \normalcolor, so that it works also in preamble.

2003-11-20 Till Tantau <tantau@cs.tu-berlin.de>

	Version 0.42:
	- Documented masks.
	- Fixed bug in pgf.sty for nested pictures.

2003-11-18 Till Tantau <tantau@cs.tu-berlin.de>

	Version 0.41:
	- Added masks (not yet documented).

2003-11-12 Till Tantau <tantau@cs.tu-berlin.de>

	Version 0.40:
	- Changed syntax of \pgfdeclareimage. Uses key=value scheme
	  now. All parameters may now be omitted. 
	- Added \pgfimage command.
	- Option for selecting a specific page from an image file.
	- Fixed bug in xxcolor.sty having to do with \@ifempty command.
	- Reworked the formatting of the user's guide.

2003-10-29 Till Tantau <tantau@cs.tu-berlin.de>

	Version 0.34:
	- Shadings now work together with color mix-ins.
	- Shadings can now take color names as parameters.
	
2003-10-24 Till Tantau <tantau@cs.tu-berlin.de>

	Version 0.33:
	- Fixed problem with missing \leavevmode in \pgfuseimage.
	- Reworked code for image inclusion. 
	- "Draft" option is now supported. Supresses reading of images. 
	- Added xxcolor package.
	- pgfpictures will now inherit the color from their surroundings.

2003-10-20 Till Tantau <tantau@cs.tu-berlin.de>

	Version 0.32:
	- Updated installation procedure information.

2003-09-18 Till Tantau <tantau@cs.tu-berlin.de>

	Version 0.31:
	- One parameter for \pgfdeclareimage may now be omitted. It will
	  be computed automatically.
	
2003-08-21 Till Tantau <tantau@cs.tu-berlin.de>

	Version 0.30:
	- Created ChangeLog
	- Added pgfshade.sty
	


;;; Local Variables:
;;; coding: undecided-unix
;;; End:
